2005-12-24  Raphaël Poss  <raph@lrde.epita.fr>

	* reheader.pl: Fix use of "env", as suggested by Thomas.

2005-12-24  Raphaël Poss  <raph@lrde.epita.fr>

	* configure.ac,
	* find_tests.sh: Move tests.m4 to config/ with other m4 files.

	* Makefile.am: Put a dependency for 'configure' oon tests.m4.

	* reheader.pl: Document.

2005-12-21  Akim Demaille  <akim@lrde.epita.fr>

	Formatting changes.

	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/automata/concept/automata.hh: Formatting and
	doc changes.

2005-12-21  Akim Demaille  <akim@lrde.epita.fr>

	Fix dynamic_traits and virtual_types for Tranducer.

	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/transducer.hh,
	Do that.

	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/automata/concept/automata.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh: Doc &
	formatting fixes.

2005-12-16  Akim Demaille  <akim@lrde.epita.fr>

	Adjust the use of Doxygen.

	* doc/doc.doxy.in: Enable code browsing.
	* doc/Makefile.am (ref): New.
	Make sure the doxyfile is up to date.
	(ref.tar.gz): Adjust.
	* include/vaucanson/vaucanson.hh: Doc changes.
	* include/vaucanson/algebra/concept/semiring_base.hh: Idem.
	* include/vaucanson/automata/concept/transducer.hh: Idem.
	* include/vaucanson/automata/concept/automata.hh: Idem.

2005-12-13  Akim Demaille  <akim@lrde.epita.fr>

	Kill trailing spaces.

	* reheader.pl: Fix the handling of trailing spaces.

	* include/vaucanson/misc/random.hxx,
	* include/vaucanson/misc/unique.hxx,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/xml/session.hxx,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/cut_up.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/sub_normalize.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/cut_up.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/automata/implementation/generalized.hxx,
	* include/vaucanson/automata/implementation/geometry.hxx,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/automata_base.hxx,
	* include/vaucanson/automata/concept/automata_kind.hh:
	Do it.

2005-12-13  Akim Demaille  <akim@lrde.epita.fr>

	Normalize doc for files.

	No need to report "This file is...", the context makes it
	clear enough.  Likewise for functions, ctors (to do).
	* reheader.pl: Check that @file are correct.
	Fix the uncovered errors.

2005-12-12  Akim Demaille  <akim@lrde.epita.fr>

	Rehead all the headers.

	* reheader.pl: Help Emacs with exotic file extensions.
	* Makefile.am (find_headers): New.
	Use it.

2005-12-08  Akim Demaille  <akim@lrde.epita.fr>

	More doxymentation fixes.

	* include/vaucanson/algebra/implementation/alphabets/alphabets.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh: Various
	fixes and simplifications.

2005-12-08  Akim Demaille  <akim@lrde.epita.fr>

	Rework the doc a bit.

	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/predecls.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/factory.hh: Kill typos
	and useless words.

2005-12-08  Akim Demaille  <akim@lrde.epita.fr>

	Kill white spaces issues.

	* reheader.pl: Run on multiple files.
	Make sure the last eol is there.
	Make sure not to leave trailing white spaces.
	* Makefile.am (rehead): New.

2005-11-13  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hh: Add inclusion of file xml/strings.hh.
	* include/vaucanson/automata/concept/history.hh: Remove a bunch of call
	to "new" operator, being in contradiction with the type used.

2005-11-09  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Bump to Vaucanson 0.7.2.

	* doc/NEWS.txt: Add text corresponding to version 0.7.2.
	* doc/README.txt: Updates about new compiler version supported.

2005-11-09  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/misc/unique.hxx: Change macro from "all but
	GCC 3.3" to "only GCC 4.0.0" (related to GCC/Apple problem).
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx:
	Remove URA.

2005-11-07  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* AUTHORS: Remove Maxime Rey, and small updates.
	* THANKS: Adding Maxime Rey and Nicolas Despres, and add details
	on everyone's contribution.

2005-11-02  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx:
	Add specialization on op_starable() and op_in_star() for Boolean
	tropical semiring. Solves a comparison warning with GCC 3.3 for Apple.

2005-11-02  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch fixes an issue with GCC 3.3 for Apple.

	* include/vaucanson/misc/unique.hxx: Add conditional macro to avoid
	template instanciation with GCC 3.3.

2005-11-02  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hh: Add extraneous space in macros,
	to be compliant with ICC 9.0.

2005-10-27  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/standard_algorithms.hh,
	* include/vaucanson/misc/escaper.hh,
	* include/vaucanson/misc/support.hxx,
	* include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/random.hxx,
	* include/vaucanson/misc/bitset.hh,
	* include/vaucanson/misc/escaper.hxx,
	* include/vaucanson/misc/iomanip.hh,
	* include/vaucanson/misc/deferrer.hh,
	* include/vaucanson/misc/limits.hh,
	* include/vaucanson/misc/bitset.hxx,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/utility.hh,
	* include/vaucanson/misc/unique.hcc,
	* include/vaucanson/misc/iomanip.hxx,
	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/functors.hxx,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/contract.hh,
	* include/vaucanson/misc/unique.hxx,
	* include/vaucanson/misc/window.hxx,
	* include/vaucanson/misc/random.hh,
	* include/vaucanson/vaucanson.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/range.hxx,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hh,
	* include/vaucanson/algebra/implementation/letter/range.hh,
	* include/vaucanson/algebra/implementation/letter/char_letter.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/alphabets.hh,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/implementation/free_monoid/words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/predefs.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hxx,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hxx,
	* include/vaucanson/algebra/concept/freemonoid_product.hh,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hxx,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/algebra.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/strings.hh,
	* include/vaucanson/xml/ios.hh,
	* include/vaucanson/xml/xml_chooser.hxx,
	* include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/node.hxx,
	* include/vaucanson/xml/error_handler.hxx,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/strings.hxx,
	* include/vaucanson/xml/ios.hxx,
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/xml/XML.hxx,
	* include/vaucanson/xml/tools.hxx,
	* include/vaucanson/xml/xerces_parser.hxx,
	* include/vaucanson/tools/dot_dump.hxx,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/usual_escaped_characters.hxx,
	* include/vaucanson/tools/xml_dump.hh,
	* include/vaucanson/tools/usual_io.hxx,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/out_display.hh,
	* include/vaucanson/tools/xml_dump.hxx,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/bencher.hh,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/dot_display.hh,
	* include/vaucanson/tools/usual_escaped_characters.hh,
	* include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/dot_display.hxx,
	* include/vaucanson/tools/xml_display.hh,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/xml_display.hxx,
	* include/vaucanson/tools/usual_macros.hh,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/xml_load.hh,
	* include/vaucanson/tools/container_ops.hh,
	* include/vaucanson/tools/out_display.hxx,
	* include/vaucanson/tools/xml_load.hxx,
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/tools/dot_dump.hh,
	* include/vaucanson/tools/container_ops.hxx,
	* include/vaucanson/tools/bencher.hxx,
	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/z_transducer.hh,
	* include/vaucanson/z_fmp_transducer.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/config/system.hh,
	* include/vaucanson/config/math.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/predecls.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/default_ops.hh,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/factory.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/element_ops.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/element_op_traits.hh,
	* include/vaucanson/design_pattern/default_ops.hxx,
	* include/vaucanson/contexts/ratseries_semiring.thh,
	* include/vaucanson/contexts/r_semiring.thh,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/z_semiring.thh,
	* include/vaucanson/contexts/automaton_functions.thxx,
	* include/vaucanson/contexts/automaton.thh,
	* include/vaucanson/contexts/polynom_series.thh,
	* include/vaucanson/contexts/transducer_functions.thxx,
	* include/vaucanson/contexts/transducer.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx,
	* include/vaucanson/contexts/z_min_plus_semiring.thh,
	* include/vaucanson/contexts/boolean_semiring.thh,
	* include/vaucanson/contexts/z_max_plus_semiring.thh,
	* include/vaucanson/contexts/generic_automaton_impl.thh,
	* include/vaucanson/contexts/dynamic_alphabet.thh,
	* include/vaucanson/contexts/generic_series.thh,
	* include/vaucanson/contexts/free_monoid.thh,
	* include/vaucanson/contexts/free_monoid_product.thh,
	* include/vaucanson/contexts/char_letter.thh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/initial_derivation.hxx,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/realtime_decl.hh,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/accessible.hh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx,
	* include/vaucanson/algorithms/sum.hh,
	* include/vaucanson/algorithms/krat_exp_cderivation.hh,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/is_letterized.hh,
	* include/vaucanson/algorithms/cut_up.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/evaluation_fmp.hh,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/extension.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/skeleton.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/internal/skeleton.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	* include/vaucanson/algorithms/fmp_to_realtime.hxx,
	* include/vaucanson/algorithms/realtime_to_fmp.hxx,
	* include/vaucanson/algorithms/sub_automaton.hh,
	* include/vaucanson/algorithms/evaluation_fmp.hxx,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/brzozowski.hh,
	* include/vaucanson/algorithms/closure.hxx,
	* include/vaucanson/algorithms/standard_of.hh,
	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	* include/vaucanson/algorithms/eval.hh,
	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx,
	* include/vaucanson/algorithms/is_normalized.hh,
	* include/vaucanson/algorithms/backward_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_derivation.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/sub_normalize.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hh,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hh,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/thompson.hxx,
	* include/vaucanson/algorithms/minimization_moore.hxx,
	* include/vaucanson/algorithms/product.hh,
	* include/vaucanson/algorithms/sub_normalize.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/berry_sethi.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/cut_up.hh,
	* include/vaucanson/algorithms/projections_fmp.hh,
	* include/vaucanson/algorithms/krat_exp_flatten.hxx,
	* include/vaucanson/algorithms/complement.hh,
	* include/vaucanson/algorithms/letter_to_letter_composition.hh,
	* include/vaucanson/algorithms/search.hh,
	* include/vaucanson/algorithms/minimization_moore.hh,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/derived_term_automaton.hxx,
	* include/vaucanson/algorithms/projections_fmp.hxx,
	* include/vaucanson/algorithms/trim.hh,
	* include/vaucanson/algorithms/krat_exp_expand.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/krat_exp_constant_term.hh,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/transpose.hh,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/concatenate.hh,
	* include/vaucanson/algorithms/projection.hxx,
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/forward_realtime.hh,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/algorithms/is_realtime.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx,
	* include/vaucanson/algorithms/eval.hxx,
	* include/vaucanson/algorithms/krat_exp_realtime.hh,
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/derived_term_automaton.hh,
	* include/vaucanson/algorithms/realtime.hh,
	* include/vaucanson/algorithms/aci_canonical.hh,
	* include/vaucanson/algorithms/normalized.hh,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/outsplitting.hh,
	* include/vaucanson/algorithms/fmp_to_realtime.hh,
	* include/vaucanson/algorithms/realtime_to_fmp.hh,
	* include/vaucanson/algorithms/thompson.hh,
	* include/vaucanson/algorithms/aut_to_exp.hh,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/algorithms/evaluation.hh,
	* include/vaucanson/algorithms/complete.hh,
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	* include/vaucanson/algorithms/sum.hxx,
	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/outsplitting.hxx,
	* include/vaucanson/algorithms/initial_derivation.hh,
	* include/vaucanson/algorithms/determinize.hh,
	* include/vaucanson/algorithms/berry_sethi.hh,
	* include/vaucanson/fmp_transducer.hh,
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/automaton_view.hh,
	* include/vaucanson/automata/implementation/generalized.hxx,
	* include/vaucanson/automata/implementation/geometry.hxx,
	* include/vaucanson/automata/implementation/kind_adapter.hh,
	* include/vaucanson/automata/implementation/transpose_view.hh,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/implementation/geometry.hh,
	* include/vaucanson/automata/implementation/kind_adapter.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hxx,
	* include/vaucanson/automata/concept/transducer.hxx,
	* include/vaucanson/automata/concept/copy.hxx,
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/transducer_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/delta_kind.hh,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx,
	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/tags.hxx,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/transducer.hh,
	* include/vaucanson/automata/concept/automata.hh,
	* include/vaucanson/automata/concept/transducer_base.hxx,
	* include/vaucanson/automata/concept/automata_base.hxx,
	* include/vaucanson/automata/concept/kinds.hxx,
	* include/vaucanson/automata/concept/automata_kind.hh,
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh,
	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/context_headers/transducers/global_consistency_test.hh,
	* src/tests/xml/xml_trans_tester.cc,
	* src/tests/xml/xml_automaton_tester.cc,
	* src/tests/xml/xml_fmp_tester.cc,
	* src/tests/xml/xml_session_tester.cc,
	* src/tests/design_pattern/design_pattern-test.hh,
	* src/tests/design_pattern/intrinsics_size.cc,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/design_pattern/intrinsics_link.cc,
	* src/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/design_pattern/intrinsics_default.cc,
	* src/tests/design_pattern/intrinsics_orphanage.cc,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/automata/implementation_check/add_edge_test.hh,
	* src/tests/automata/implementation_check/coherence_state_edge_test.hh,
	* src/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	* src/tests/automata/algos/fmp_transducers/sub_normalize_test.hh,
	* src/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/transpose_test.hh,
	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/automata/algos/graphs/trim_test.hh,
	* src/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/automata/algos/boolean_automata/brzozowski_test.hh,
	* src/tests/automata/algos/boolean_automata/aci_canonical_test.hh,
	* src/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/automata/algos/boolean_automata/berry_sethi_test.hh,
	* src/tests/automata/algos/labeled_graphs/are_isomorphic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/determinist_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_term_automaton_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/misc/koenig.cc,
	* src/tests/misc/random.cc,
	* src/tests/misc/assert_test.cc,
	* src/tests/misc/limits.cc,
	* src/tests/misc/char_traits.cc,
	* src/tests/misc/selectors.cc,
	* src/tests/misc/unique.cc,
	* src/tests/misc/window.cc,
	* src/tests/misc/static.cc,
	* src/tests/misc/bitset.cc,
	* src/tests/check/tester.hh,
	* src/tests/check/unique.cc,
	* src/tests/check/tester.cc,
	* src/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh,
	* src/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/tests/generate_random_krat.cc,
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_common.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/algebra/semiring/semiring_test.hh,
	* src/benchs/minimization_stroppa/minimization_bench_fsm.cc,
	* src/benchs/minimization_stroppa/usual.hxx,
	* src/benchs/minimization_stroppa/init.hh,
	* src/benchs/minimization_stroppa/fsm_minimize.hh,
	* src/benchs/minimization_stroppa/tools.hxx,
	* src/benchs/minimization_stroppa/init.hxx,
	* src/benchs/minimization_stroppa/minimization_bench_moore.cc,
	* src/benchs/minimization_stroppa/usual_ana_predefs.hh,
	* src/benchs/minimization_stroppa/minimization_bench_hopcroft.cc,
	* src/benchs/minimization_stroppa/int_traits.hh,
	* src/benchs/minimization_stroppa/tools.hh,
	* src/benchs/composition/realtime_composition_bench.hh,
	* src/benchs/composition/normalized_composition_bench.hh,
	* src/benchs/determinization/determinization_bench.hh,
	* src/benchs/determinization/determinization_bench_fsm.cc,
	* src/benchs/minimization_2n/minimization_2n_moore_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_brzozowski_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_hopcroft_bench.hh,
	* src/benchs/common/bench_automaton.hh,
	* src/benchs/common/algorithm.hh,
	* src/benchs/common/bench_constructs.hh,
	* src/benchs/quotient/quotient_bool_bench.hh,
	* src/benchs/quotient/quotient_z_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_moore_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_brzozowski_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_hopcroft_bench.hh,
	* src/benchs/derived_terms/derived_terms_bench.hh,
	* src/demos/vaucanswig/meta/vauto.cc,
	* src/demos/vaucanswig/meta/context.hh,
	* src/demos/vaucanswig/meta/automaton.hh,
	* src/demos/vaucanswig/meta/vcontext.hh,
	* src/demos/vaucanswig/meta/vauto.hh,
	* src/demos/vaucanswig/meta/vcontext.cc,
	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/algorithms.cc,
	* src/demos/algorithms/contains_factor.cc,
	* src/demos/algorithms/equivalent_functions.hh,
	* src/demos/algorithms/classics.cc,
	* src/demos/algorithms/are_equivalent.cc,
	* src/demos/algorithms/exp_equiv.cc,
	* src/demos/algorithms/equivalent_functions.cc,
	* src/demos/algorithms/universal.cc,
	* src/demos/automaton_library/a1.cc,
	* src/demos/automaton_library/b1.cc,
	* src/demos/automaton_library/c1.cc,
	* src/demos/automaton_library/double_ring.cc,
	* src/demos/automaton_library/divkbaseb.cc,
	* src/demos/automaton_library/ladybird.cc,
	* src/demos/utilities/vgrep/vgrep.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_random_generator.cc,
	* src/demos/utilities/fsm/usual_automaton_t/toolbox.hh,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_prune.cc,
	* src/demos/utilities/fsm/usual_automaton_t/arg.hh,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_reverse.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_closure.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_dotdump.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_determinize.cc,
	* src/demos/utilities/fsm/usual_automaton_t/arg.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_intersect.cc,
	* src/demos/utilities/fsm/usual_automaton_t/vcsn_minimize.cc,
	* src/demos/utilities/fsm/arg.hh,
	* src/demos/utilities/fsm/arg.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_demo.cc,
	* src/demos/transducers/t1.cc,
	* src/demos/transducers/u1.cc: Update headers accroding to the
	packaging modifications previously made: change reference to NOTICE
	file to reference to COPYING file.

	* reheader.pl: Update the header for Vaucanson.

2005-10-20  Nicolas Desprès  <nicolas.despres@lrde.epita.fr>

	Warn for generated files (bis).

	* src/tests/bin/generate-test-suite.sh,
	* src/tests/sanity/generate_files.sh: Add a warning in generated files.

2005-10-20  Nicolas Desprès  <nicolas.despres@lrde.epita.fr>

	Warn for generated files.

	* src/benchs/generate_benchs.sh: Add a warning in generated files.

2005-10-20  Olivier Gournet  <olivier.gournet@lrde.epita.fr>

	* debian/Makefile.am: Remove non-existant file.

2005-10-19  Olivier Gournet  <olivier.gournet@lrde.epita.fr>

	Update packaging.

	* debian/vaucanson.docs: Remove CONTRIBUTORS and NOTICE from list.
	* debian/changelog: Update package version number.
	* debian/Makefile.am: New. Add deb target, to build debian package.
	* vaucanson.spec: Update package version number.
	* configure.ac: Downgrade to 0.7.2.
	* config/vcsn.m4,
	* Makefile.am: Remove svn revision number detection.

2005-10-19  Raphael Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hxx (StarHeighVisitor::sum_or_product):
	Change the type of "post" and "left_height" to "size_t" for
	compatibility with class attribute "h_". Needed for G++ 4 which
	complains about std::max not being defined for (size_t, unsigned).

2005-10-18  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	Modify some algorithms in src/demos.

	* src/demos/algorithms/contains_factor.cc: New. Test if a factor is
	recognized by an automaton.
	* src/demos/algorithms/exp_equiv.cc: New. Test if an expression
	describes the same language as an automaton.

	* src/demos/algorithms/equivalent_functions.hh,
	* src/demos/algorithms/equivalent_functions.cc: Move some includes
	needed by other files.

	* src/demos/algorithms/exp_recognized.cc: Remove.
	* src/demos/algorithms/Makefile.am: Update.

2005-10-17  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/NEWS.txt: Update. Add licence information.
	* doc/README.txt: Update. Merge with INSTALL.txt.

	* AUTHORS: Update. Merge with CONTRIBUTORS.
	* THANKS: Update.

	* INSTALL: New. Default INSTALL file.

	* NOTICE,
	* CONTRIBUTORS,
	* doc/INSTALL.txt: Delete.

	* Makefile.am,
	* doc/Makefile.am: Update accordingly.

2005-10-17  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/automaton_library/divkbaseb.cc: Fix the name of the
	generated automaton.

2005-10-11  Nicolas Pouillard  <ertai@lrde.epita.fr>

	Update the Vcs extension to Vcs 0.4.

	* vcs/vaucanson.rb: Add protocol version abd default commit.

2005-10-03  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/transducers/t1.xml,
	* src/demos/transducers/u1.xml: Update reference files.

	* Makefile.am: Touch generated XML files, to make distcheck work.

2005-09-20  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hxx: Remove unused paramter.
	* include/vaucanson/xml/xml_converter.hh: Add default value for "name"
	argument of save() and create_document() functions.

	* src/tests/xml/session_ref.dot: Fix the reference file.

2005-09-20  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx: Retrieve the name of the XML
	automaton, and store it in the "geometric" attributes. Also fix a
	bug in coordinates management.

	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/XML.hxx,
	* include/vaucanson/tools/xml_dump.hh: Enable naming of the automaton.
	The tools::xml_dump() function third argument is used to name the
	automaton in the XML document.

	* include/vaucanson/automata/implementation/geometry.hh,
	* include/vaucanson/automata/implementation/geometry.hxx: Add a name
	attribute in the class, to store the name of the automaton.

	* src/demos/automaton_library/a1.xml,
	* src/demos/automaton_library/b1.xml,
	* src/demos/automaton_library/c1.xml: Name the automata.

2005-09-19  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/session.hxx: Fix a bug in session management.
	From now on, when pushing a session to an automaton the automaton is
	emptied first, and then receive the first automaton from the session
	as its content.

	* src/tests/xml/Makefile.am: Add XML session test files in EXTRA_DIST.

	* src/demos/function_library/Makefile.am,
	* src/demos/algorithms/Makefile.am,
	* src/demos/transducers/Makefile.am: Fix in the link to XSD creation
	rule. Uses top_srcdir instead of top_builddir.

2005-09-19  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch changes XML document dump. From now on, transitions are
	represented:
	<transition src="s0" dst="s1" label="a">

	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx: Change the XML writer. Don't use the
	one proposed by xerces, replace it by a hand-coded one.

	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml,
	* src/tests/xml/fmp_ref.xml,
	* src/tests/xml/session_ref.xml,
	* src/demos/automaton_library/a1.xml,
	* src/demos/automaton_library/b1.xml,
	* src/demos/automaton_library/c1.xml: Update accordingly.

2005-09-16  Alexandre Borghi  <alexandre.borghi@lrde.epita.fr>

	Update vcs support to 0.3.

	* vcs/vaucanson.rb: Update.

2005-09-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/letter/range.hh: Remove
	the hack of enum definition, name the enum instead.

2005-09-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/misc/unique.hxx: Fix template instanciation, to
	work with GCC 4.0.0.
	* include/vaucanson/algebra/implementation/letter/range.hh: Hack enum
	definition, to work with GCC 4.0.0 and GCC 4.0.2.

	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics_ops.cc: Remove some unused
	argument / values warnings.

2005-09-13  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hxx: Change the way to fill alphabets
	in XML loaded automata. This fix a bug in structure comparison with
	XML loaded automata.

2005-09-13  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/misc/unique.hxx: Fix a bug in compilation with
	GCC 3.4.2. Make explicit instanciation of a template class.

2005-09-10  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	See the next entry.

	* src/demos/transducers/u1.cc, src/demos/transducers/t1.cc: Dump the
	automata to std::cout.
	* src/demos/transducers/Makefile.am: Do not build t1 and u1.
	Ship their output instead.
	* src/demos/transducers/u1.xml, src/demos/transducers/u1.xml: New.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Avoid useless compilations to end users, without losing any
	feature.  Instead of building programs to generate XML samples,
	ship their outputs.

	* src/demos/automaton_library/c1.cc, src/demos/automaton_library/b1.cc,
	* src/demos/automaton_library/a1.cc: Dump the automata to std::cout.
	* src/demos/automaton_library/Makefile.am: Do not build a1, b1 and
	c1 by default. Ship their output instead.
	* src/demos/automaton_library/a1.xml,
	* src/demos/automaton_library/b1.xml,
	* src/demos/automaton_library/c1.xml: New.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/benchs/determinization/determinization_bench_fsm.cc: Fix an
	unused argement warning.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Avoid potential memory leaks and warnings with GCC 4.

	* include/vaucanson/xml/node.hh, include/vaucanson/xml/node.hxx (Node):
	Add a dummy virtual destructor.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Do compile with GCC 4. Compilations still produce lots of
	warnings. make check has not been tested.

	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/implementation/graph.hh: Remove
	duplicate typedefs.
	* include/vaucanson/misc/unique.hxx: Introduce template
	specializations with "template <>" lines.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Fix compilation errors.

	* src/benchs/common/bench_automaton.hh,
	* src/benchs/minimization_stroppa/usual_ana_predefs.hh: Adjust
	template parameters.

2005-09-09  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Avoid compilation problems when srcdir != builddir. Test for
	needed programs in the configure script.

	* doc/xml/Makefile.am: Use texi2dvi instead of latex. Find
	xml_proposal.tex in srcdir.
	* configure.ac: Check for dvipdf.

2005-09-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_converter.hxx: Add support for <geometry>
	and <drawing> in XML.

2005-09-06  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch changes the support of geometric coordinates for automata.
	The former system (an attribute in the graph class) is replaced by a
	policy system, using the vcsn::geometry new class.

	* include/vaucanson/automata/implementation/geometry.hh,
	* include/vaucanson/automata/implementation/geometry.hxx: New.
	vcsn::geometry class, used to handle geometric coordinates for
	automata.

	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx: Update geometry
	support and related types. Add geometry_t type for automata.

	* include/vaucanson/automata/implementation/automaton_view.hh,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hh,
	* include/vaucanson/automata/implementation/transpose_view.hxx: Add
	op_get_geometry() operators.

	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx: Add default
	op_get_geometry() operators.

	* include/vaucanson/algebra/implementation/series/krat.hxx: Update
	local graph type with extra template parameter for geometry.

	* include/vaucanson/contexts/generic_automaton_impl.thh: Update default
	graph type with new template parameter for geometry: vcsn::geometry.

	* include/vaucanson/algorithms/product.hxx: Updates in the graphic
	system for coordinates. Now uses the new vcsn::geometry class, and
	behaves well if geometry is not supported in the graph implementation.

	* include/vaucanson/automata/implementation/generalized.hh: Update
	graph type to support geometry.

	* include/Makefile.am: Update with new files.

2005-09-05  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/automata/implementation/transpose_view.hxx: Fix
	bug. Labels of initial and final states were not transposed.

2005-07-07  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/function_library/Makefile.am,
	* src/demos/algorithms/Makefile.am,
	* src/demos/transducers/Makefile.am: Add rule to create a link to the
	XSD (needed by XML binaries) to all-am.

2005-07-07  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/node.hxx,
	* include/vaucanson/xml/tools.hxx: Fix a bug in XML input for realtime
	transducers. <semiring> node was badly handled.

2005-07-06  Olivier Gournet  <olivier.gournet@lrde.epita.fr>

	* debian/control, debian/vaucanson.docs, debian/rules:
	Fix, see debian/channgelog.
	* debian/vaucanson-dev.install: Remove.
	* vaucanson.spec:
	Distribute documentation and samples.
	Change BuildArch to noarch.

2005-07-05  Olivier Gournet  <olivier.gournet@lrde.epita.fr>

	* vaucanson.spec: New.
	* config/vcn.m4, Makefile.am: Fix distcheck, by providing svn
	revision in the tarball.
	* configure.ac: Bump to v0.8. It makes no sense to produce
	vcn-0.7.1pre1038.

2005-07-04  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/fmp_transducers/Makefile.am,
	* src/tests/algebra/series/krat/main/Makefile.am: Repair make dist.
	Reference to inexistant files were made.

2005-07-04  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hxx: Fix unused
	parameter warning for compatibility with GCC 3.2.

2005-07-03  Olivier Gournet  <olivier.gournet@lrde.epita.fr>

	* debian: New. Control files for debian packages.

	* src/tests/automata/algos/fmp_transducers/Makefile.am,
	* src/tests/algebra/series/krat/main/Makefile.am:
	Add missing headers in EXTRA_DIST.

	* configure.ac,
	* src/demos/Makefile.am: Add configure --disable-build-demo flag.
	* config/vcsn.m4: Add some macros for revision number.
	* doc/Makefile.doc: Add --batch to texi, it shouldn't be interactive.
	* Makefile.am: Distribute debian directory.

2005-07-02  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/automata/implementation/graph.hxx,
	* src/demos/algorithms/Makefile.am: Remove a multiple definition
	problem.

2005-07-02  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/function_library/algorithms.cc: Fix a bug in the
	computation of the power.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* configure.ac,
	* doc/NEWS.txt: Bump to Vaucanson 0.7.1.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/xml/vaucanson-g.sty,
	* doc/xml/Vaucanson-G.tex: New. Add Vaucanson-G files, useful to
	generate documentations.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/xml/Makefile.am,
	* doc/xml/xml_proposal.tex: Update XML proposal and fix file
	generation.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/trans_ref.dot: Fix a problem in reference file.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch renames the derived_terms_automaton to
	derived_term_automaton.

	* include/vaucanson/algorithms/derived_terms_automaton.hxx: Move to...
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_term_automaton_test.hh
	* include/vaucanson/algorithms/derived_term_automaton.hh,
	* include/vaucanson/algorithms/derived_term_automaton.hxx: ... These.

	* include/Makefile.am,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/derived_term_automaton.hxx,
	* include/vaucanson/algorithms/derived_term_automaton.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/Makefile.am,
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_terms_automaton_test.hh,
	* include/vaucanson/algorithms/derived_terms_automaton.hh,
	* src/benchs/derived_terms/derived_terms_bench.hh,
	* src/demos/function_library/algorithms.cc,
	* doc/NEWS.txt: Update accordingly.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/xml/vaucanson.xsd: Fixes to add drawing properties and identity
	symbol for monoid.
	* doc/xml/xml_proposal.tex: Add a document about the XML proposal.
	* doc/xml/Makefile.am: Update accordingly.

2005-06-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/algorithms.cc: Add are-isomorphic and
	is-empty algorithms to demo programs.

2005-06-25  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* Makefile.am: Fix touch'ing that should be removed in distributed
	package.

2005-06-25  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* Makefile.am: Dirty fix to avoid `config/missing' call in the
	distributed package.

2005-06-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh,
	* src/benchs/generate_benchs.sh: Fix quoting typos.
	* Makefile.am: Fix grep'ing -v of `configure' on benchs.

2005-06-24  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	The main aims of this patch is to change Vaucanson's Licence to GPL
	and to remove `AUTHORS' from headers in all files.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/standard_algorithms.hh,
	* include/vaucanson/vaucanson.hh,
	* include/vaucanson/misc/escaper.hh,
	* include/vaucanson/misc/support.hxx,
	* include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/random.hxx,
	* include/vaucanson/misc/escaper.hxx,
	* include/vaucanson/misc/bitset.hh,
	* include/vaucanson/misc/iomanip.hh,
	* include/vaucanson/misc/deferrer.hh,
	* include/vaucanson/misc/limits.hh,
	* include/vaucanson/misc/bitset.hxx,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/utility.hh,
	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/unique.hcc,
	* include/vaucanson/misc/iomanip.hxx,
	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/functors.hxx,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/contract.hh,
	* include/vaucanson/misc/unique.hxx,
	* include/vaucanson/misc/window.hxx,
	* include/vaucanson/misc/random.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/range.hxx,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hh,
	* include/vaucanson/algebra/implementation/letter/char_letter.hh,
	* include/vaucanson/algebra/implementation/letter/range.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/alphabets.hh,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/predefs.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hxx,
	* include/vaucanson/algebra/concept/numerical_semiring.hxx,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hh,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hxx,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/algebra.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/dot_dump.hxx,
	* include/vaucanson/tools/usual_escaped_characters.hxx,
	* include/vaucanson/tools/xml_dump.hh,
	* include/vaucanson/tools/usual_io.hxx,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/out_display.hh,
	* include/vaucanson/tools/xml_dump.hxx,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/bencher.hh,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/dot_display.hh,
	* include/vaucanson/tools/usual_escaped_characters.hh,
	* include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/dot_display.hxx,
	* include/vaucanson/tools/xml_display.hh,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/xml_display.hxx,
	* include/vaucanson/tools/usual_macros.hh,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/xml_load.hh,
	* include/vaucanson/tools/container_ops.hh,
	* include/vaucanson/tools/out_display.hxx,
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/xml_load.hxx,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/tools/container_ops.hxx,
	* include/vaucanson/tools/dot_dump.hh,
	* include/vaucanson/tools/bencher.hxx,
	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/strings.hh,
	* include/vaucanson/xml/xml_chooser.hxx,
	* include/vaucanson/xml/ios.hh,
	* include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/node.hxx,
	* include/vaucanson/xml/error_handler.hxx,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/strings.hxx,
	* include/vaucanson/xml/ios.hxx,
	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/xml/tools.hxx,
	* include/vaucanson/xml/XML.hxx,
	* include/vaucanson/xml/xerces_parser.hxx,
	* include/vaucanson/z_transducer.hh,
	* include/vaucanson/z_fmp_transducer.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/config/system.hh,
	* include/vaucanson/config/math.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/predecls.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/default_ops.hh,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/factory.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/element_ops.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/element_op_traits.hh,
	* include/vaucanson/design_pattern/default_ops.hxx,
	* include/vaucanson/contexts/r_semiring.thh,
	* include/vaucanson/contexts/ratseries_semiring.thh,
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/z_semiring.thh,
	* include/vaucanson/contexts/automaton.thh,
	* include/vaucanson/contexts/polynom_series.thh,
	* include/vaucanson/contexts/automaton_functions.thxx,
	* include/vaucanson/contexts/transducer.thh,
	* include/vaucanson/contexts/transducer_functions.thxx,
	* include/vaucanson/contexts/z_min_plus_semiring.thh,
	* include/vaucanson/contexts/boolean_semiring.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx,
	* include/vaucanson/contexts/z_max_plus_semiring.thh,
	* include/vaucanson/contexts/generic_automaton_impl.thh,
	* include/vaucanson/contexts/dynamic_alphabet.thh,
	* include/vaucanson/contexts/free_monoid.thh,
	* include/vaucanson/contexts/generic_series.thh,
	* include/vaucanson/contexts/free_monoid_product.thh,
	* include/vaucanson/contexts/char_letter.thh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/algorithms/derived_terms_automaton.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/initial_derivation.hxx,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/realtime_decl.hh,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/accessible.hh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx,
	* include/vaucanson/algorithms/krat_exp_cderivation.hh,
	* include/vaucanson/algorithms/sum.hh,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/is_letterized.hh,
	* include/vaucanson/algorithms/cut_up.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/evaluation_fmp.hh,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/extension.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/skeleton.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/internal/skeleton.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	* include/vaucanson/algorithms/realtime_to_fmp.hxx,
	* include/vaucanson/algorithms/fmp_to_realtime.hxx,
	* include/vaucanson/algorithms/sub_automaton.hh,
	* include/vaucanson/algorithms/evaluation_fmp.hxx,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/brzozowski.hh,
	* include/vaucanson/algorithms/closure.hxx,
	* include/vaucanson/algorithms/standard_of.hh,
	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	* include/vaucanson/algorithms/eval.hh,
	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx,
	* include/vaucanson/algorithms/is_normalized.hh,
	* include/vaucanson/algorithms/backward_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_derivation.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/sub_normalize.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hh,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hh,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/thompson.hxx,
	* include/vaucanson/algorithms/minimization_moore.hxx,
	* include/vaucanson/algorithms/product.hh,
	* include/vaucanson/algorithms/sub_normalize.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/berry_sethi.hxx,
	* include/vaucanson/algorithms/derived_terms_automaton.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/cut_up.hh,
	* include/vaucanson/algorithms/projections_fmp.hh,
	* include/vaucanson/algorithms/krat_exp_flatten.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hh,
	* include/vaucanson/algorithms/complement.hh,
	* include/vaucanson/algorithms/search.hh,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/minimization_moore.hh,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/projections_fmp.hxx,
	* include/vaucanson/algorithms/trim.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hh,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/krat_exp_constant_term.hh,
	* include/vaucanson/algorithms/transpose.hh,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/projection.hxx,
	* include/vaucanson/algorithms/concatenate.hh,
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/forward_realtime.hh,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/algorithms/is_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hh,
	* include/vaucanson/algorithms/eval.hxx,
	* include/vaucanson/algorithms/normalized_composition.hxx,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/realtime.hh,
	* include/vaucanson/algorithms/aci_canonical.hh,
	* include/vaucanson/algorithms/normalized.hh,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/outsplitting.hh,
	* include/vaucanson/algorithms/fmp_to_realtime.hh,
	* include/vaucanson/algorithms/realtime_to_fmp.hh,
	* include/vaucanson/algorithms/thompson.hh,
	* include/vaucanson/algorithms/aut_to_exp.hh,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/algorithms/evaluation.hh,
	* include/vaucanson/algorithms/complete.hh,
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	* include/vaucanson/algorithms/sum.hxx,
	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/outsplitting.hxx,
	* include/vaucanson/algorithms/initial_derivation.hh,
	* include/vaucanson/algorithms/determinize.hh,
	* include/vaucanson/algorithms/berry_sethi.hh,
	* include/vaucanson/fmp_transducer.hh,
	* include/vaucanson/automata/implementation/generalized.hxx,
	* include/vaucanson/automata/implementation/automaton_view.hh,
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/kind_adapter.hh,
	* include/vaucanson/automata/implementation/transpose_view.hh,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/implementation/kind_adapter.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hxx,
	* include/vaucanson/automata/concept/copy.hxx,
	* include/vaucanson/automata/concept/transducer.hxx,
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/transducer_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/delta_kind.hh,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx,
	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/tags.hxx,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/transducer.hh,
	* include/vaucanson/automata/concept/automata.hh,
	* include/vaucanson/automata/concept/transducer_base.hxx,
	* include/vaucanson/automata/concept/automata_base.hxx,
	* include/vaucanson/automata/concept/kinds.hxx,
	* include/vaucanson/automata/concept/automata_kind.hh,
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh: .
	* src/tests/context_headers/automata/global_consistency_test.hh: .
	* src/tests/context_headers/transducers/global_consistency_test.hh: .
	* src/tests/xml/xml_trans_tester.cc,
	* src/tests/xml/xml_automaton_tester.cc,
	* src/tests/xml/xml_fmp_tester.cc,
	* src/tests/xml/xml_session_tester.cc,
	* src/tests/design_pattern/design_pattern-test.hh,
	* src/tests/design_pattern/intrinsics_binops.cc,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/design_pattern/intrinsics_size.cc,
	* src/tests/design_pattern/intrinsics_link.cc,
	* src/tests/design_pattern/intrinsics_convert.cc,
	* src/tests/design_pattern/element-full-test.cc,
	* src/tests/design_pattern/intrinsics_ops.cc,
	* src/tests/design_pattern/intrinsics_extra.cc,
	* src/tests/design_pattern/intrinsics_orphanage.cc,
	* src/tests/design_pattern/intrinsics_default.cc,
	* src/tests/design_pattern/intrinsics_assign.cc,
	* src/tests/bin/generate-test-suite.sh,
	* src/tests/misc/koenig.cc,
	* src/tests/misc/assert_test.cc,
	* src/tests/misc/random.cc,
	* src/tests/misc/limits.cc,
	* src/tests/misc/selectors.cc,
	* src/tests/misc/char_traits.cc,
	* src/tests/misc/unique.cc,
	* src/tests/misc/static.cc,
	* src/tests/misc/window.cc,
	* src/tests/misc/bitset.cc,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/automata/implementation_check/add_edge_test.hh,
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/automata/implementation_check/coherence_state_edge_test.hh,
	* src/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh,
	* src/tests/automata/algos/series_multiplicity_transducers/extension_test.hh,
	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	* src/tests/automata/algos/fmp_transducers/sub_normalize_test.hh,
	* src/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh,
	* src/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh,
	* src/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/transpose_test.hh,
	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/realtime_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/generalized_test.hh,
	* src/tests/automata/algos/freemonoid_labeled_graphs/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/graphs/reachable_test.hh,
	* src/tests/automata/algos/graphs/extract_test.hh,
	* src/tests/automata/algos/graphs/trim_test.hh,
	* src/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/automata/algos/boolean_automata/aci_canonical_test.hh,
	* src/tests/automata/algos/boolean_automata/brzozowski_test.hh,
	* src/tests/automata/algos/boolean_automata/minimization_test.hh,
	* src/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/automata/algos/boolean_automata/berry_sethi_test.hh,
	* src/tests/automata/algos/labeled_graphs/are_isomorphic_test.hh,
	* src/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_random_test.hh,
	* src/tests/automata/algos/labeled_graphs/normalize_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_terms_automaton_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/determinist_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/compute_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/tests/generate_random_krat.cc,
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_common.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/algebra/semiring/semiring_test.hh,
	* src/tests/check/tester.hh,
	* src/tests/check/unique.cc,
	* src/tests/check/tester.cc,
	* src/benchs/minimization_stroppa/minimization_bench_fsm.cc,
	* src/benchs/minimization_stroppa/usual.hxx,
	* src/benchs/minimization_stroppa/init.hh,
	* src/benchs/minimization_stroppa/fsm_minimize.hh,
	* src/benchs/minimization_stroppa/tools.hxx,
	* src/benchs/minimization_stroppa/init.hxx,
	* src/benchs/minimization_stroppa/minimization_bench_moore.cc,
	* src/benchs/minimization_stroppa/int_traits.hh,
	* src/benchs/minimization_stroppa/minimization_bench_hopcroft.cc,
	* src/benchs/minimization_stroppa/tools.hh,
	* src/benchs/minimization_stroppa/usual_ana_predefs.hh,
	* src/benchs/composition/realtime_composition_bench.hh,
	* src/benchs/composition/normalized_composition_bench.hh,
	* src/benchs/generate_benchs.sh,
	* src/benchs/determinization/determinization_bench.hh,
	* src/benchs/determinization/determinization_bench_fsm.cc,
	* src/benchs/minimization_2n/minimization_2n_moore_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_brzozowski_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_hopcroft_bench.hh,
	* src/benchs/common/algorithm.hh,
	* src/benchs/common/bench_automaton.hh,
	* src/benchs/common/bench_constructs.hh,
	* src/benchs/quotient/quotient_bool_bench.hh,
	* src/benchs/quotient/quotient_z_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_moore_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_brzozowski_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_hopcroft_bench.hh,
	* src/benchs/derived_terms/derived_terms_bench.hh,
	* src/demos/vaucanswig/doc/README.txt,
	* src/demos/vaucanswig/meta/vauto.cc,
	* src/demos/vaucanswig/meta/context.hh,
	* src/demos/vaucanswig/meta/automaton.hh,
	* src/demos/vaucanswig/meta/vcontext.hh,
	* src/demos/vaucanswig/meta/vauto.hh,
	* src/demos/vaucanswig/meta/vcontext.cc,
	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/algorithms.cc,
	* src/demos/automaton_library/a1.cc,
	* src/demos/automaton_library/b1.cc,
	* src/demos/automaton_library/c1.cc,
	* src/demos/automaton_library/double_ring.cc,
	* src/demos/automaton_library/divkbaseb.cc,
	* src/demos/automaton_library/ladybird.cc,
	* vauc/mpp++/src/transformer/ty_transformer.cc,
	* vauc/mpp++/src/transformer/fun_transformer.hh,
	* vauc/mpp++/src/transformer/funs.hh,
	* vauc/mpp++/src/transformer/ty_transformer.hh,
	* vauc/mpp++/src/transformer/fun_transformer.cc,
	* vauc/mpp++/src/fun_trans.cc,
	* vauc/mpp++/src/common.hh,
	* vauc/mpp++/src/ty_trans.cc,
	* vauc/mpp++/src/modules/make_fun_desc.hh,
	* vauc/mpp++/src/modules/make_class_desc.cc,
	* vauc/mpp++/src/modules/make_module_desc.cc,
	* vauc/mpp++/src/modules/make_fun_desc.cc,
	* vauc/mpp++/src/modules/make_tool.hh,
	* vauc/mpp++/src/modules/class_spec_template.hh,
	* vauc/mpp++/src/modules/libmodules.hh,
	* vauc/mpp++/src/modules/make_module_desc.hh,
	* vauc/mpp++/src/modules/make_class_desc.hh,
	* vauc/mpp++/src/modules/make_tool.cc,
	* vauc/mpp++/src/parse/module_spec.cc,
	* vauc/mpp++/src/parse/libparse.cc,
	* vauc/mpp++/src/parse/module_spec.h,
	* vauc/mpp++/src/parse/fun_spec.cc,
	* vauc/mpp++/src/parse/module_spec_scan.cc,
	* vauc/mpp++/src/parse/module_spec_parse.hh,
	* vauc/mpp++/src/parse/fun_spec.h,
	* vauc/mpp++/src/parse/fun_spec_scan.cc,
	* vauc/mpp++/src/parse/fun_spec_parse.hh,
	* vauc/mpp++/src/parse/location.cc,
	* vauc/mpp++/src/parse/libparse.hh,
	* vauc/mpp++/src/parse/class_spec.cc,
	* vauc/mpp++/src/parse/class_spec.h,
	* vauc/mpp++/src/parse/location.hh,
	* vauc/mpp++/src/parse/class_spec_scan.cc,
	* vauc/mpp++/src/parse/class_spec_parse.hh,
	* vauc/mpp++/src/spec/fun_spec.hh,
	* vauc/mpp++/src/spec/cpp_code.cc,
	* vauc/mpp++/src/spec/class_spec.cc,
	* vauc/mpp++/src/spec/module_spec.cc,
	* vauc/mpp++/src/spec/fun_spec.cc,
	* vauc/mpp++/src/spec/cpp_code.hh,
	* vauc/mpp++/src/spec/module_spec.hh,
	* vauc/mpp++/src/spec/class_spec.hh,
	* vauc/mpp++/src/internal/mangling.cc,
	* vauc/mpp++/src/internal/mangling.hh,
	* vauc/include/lazy/exp.hxx,
	* vauc/include/lazy/vauc_constructs.hh,
	* vauc/include/lazy/exp_base.hh,
	* vauc/include/lazy/eval_visitor.hh,
	* vauc/include/lazy/visitor_base.hh,
	* vauc/include/lazy/print_visitor.hh,
	* vauc/include/lazy/exp.hh,
	* vauc/include/lazy/vauc_constructs.hxx,
	* vauc/include/lazy/exp_base.hxx,
	* vauc/include/triplet.hh,
	* vauc/include/types/type.hh,
	* vauc/include/types/symbol.hh,
	* vauc/include/types/object.hh,
	* vauc/include/toplevel/wrappers.hh,
	* vauc/include/toplevel/parse.hh,
	* vauc/include/constants/one.hh,
	* vauc/include/constants/inf.hh,
	* vauc/include/constants/zero.hh,
	* vauc/include/vcore/partial_call.hh,
	* vauc/include/vcore/env.hh,
	* vauc/include/vcore/interrupt_handler.hh,
	* vauc/include/vcore/module_loader.hh,
	* vauc/include/vcore/closure.hh,
	* vauc/include/vcore/streams.hh,
	* vauc/include/vcore/exception.hh,
	* vauc/include/vcore/module_base.hh,
	* vauc/include/vcore/callable.hh,
	* vauc/include/vcore/object_catalog.hh,
	* vauc/include/readlinebuf.hh,
	* vauc/lib/getopt.c,
	* vauc/lib/readlinebuf.cc,
	* vauc/lib/getopt1.c,
	* vauc/lib/getopt.h,
	* vauc/lemon/lemon.c,
	* vauc/cppsh/kern/stdstreams_cin.hh,
	* vauc/cppsh/kern/objvect.cc,
	* vauc/cppsh/kern/stdstreams_cout.hh,
	* vauc/cppsh/kern/exception.cc,
	* vauc/cppsh/kern/stdstreams_cerr.cc,
	* vauc/cppsh/kern/symbol.cc,
	* vauc/cppsh/kern/object.cc,
	* vauc/cppsh/kern/exnprint.cc,
	* vauc/cppsh/kern/stdstreams_cerr.hh,
	* vauc/cppsh/kern/streams.cc,
	* vauc/cppsh/kern/stdstreams_cin.cc,
	* vauc/cppsh/kern/stdstreams_cout.cc,
	* vauc/cppsh/kern/fstreams.cc,
	* vauc/cppsh/kern/debug.cc,
	* vauc/cppsh/lang/lemon_parser.hh,
	* vauc/cppsh/lang/parse_base.cc,
	* vauc/cppsh/lang/lemon_parser.cc,
	* vauc/cppsh/tests/ltdlpp/s.hh,
	* vauc/cppsh/tests/ltdlpp/dlbug1.cc,
	* vauc/cppsh/tests/ltdlpp/dlbug2.cc,
	* vauc/cppsh/tests/ltdlpp/abug1.cc,
	* vauc/cppsh/tests/ltdlpp/dl.cc,
	* vauc/cppsh/tests/ltdlpp/dlbug3.cc,
	* vauc/cppsh/tests/ltdlpp/abug2.cc,
	* vauc/cppsh/tests/ltdlpp/bbug1.cc,
	* vauc/cppsh/tests/ltdlpp/dlbug12.cc,
	* vauc/cppsh/tests/ltdlpp/bbug2.cc,
	* vauc/cppsh/tests/ltdlpp/dlbug22.cc,
	* vauc/cppsh/tests/ltdlpp/dlbug32.cc,
	* vauc/cppsh/tests/kern/exception.cc,
	* vauc/cppsh/tests/kern/streams.cc,
	* vauc/cppsh/tests/kern/symbol.cc,
	* vauc/cppsh/tests/kern/object.cc,
	* vauc/cppsh/tests/kern/objref_a.cc,
	* vauc/cppsh/tests/kern/objref.cc,
	* vauc/cppsh/include/kern/ref.hxx,
	* vauc/cppsh/include/kern/objvect.hxx,
	* vauc/cppsh/include/kern/fstreams.hh,
	* vauc/cppsh/include/kern/symbol.hh,
	* vauc/cppsh/include/kern/debug.hh,
	* vauc/cppsh/include/kern/object.hh,
	* vauc/cppsh/include/kern/exnprint.hh,
	* vauc/cppsh/include/kern/stdstreams.hh,
	* vauc/cppsh/include/kern/objvect.hh,
	* vauc/cppsh/include/kern/ref.hh,
	* vauc/cppsh/include/kern/symbol.hxx,
	* vauc/cppsh/include/kern/streams.hh,
	* vauc/cppsh/include/kern/object.hxx,
	* vauc/cppsh/include/kern/exception.hh,
	* vauc/cppsh/include/lang/parse_base.hh,
	* vauc/cppsh/include/bits/module_defs.hh,
	* vauc/cppsh/include/bits/def_visitor.hh,
	* vauc/cppsh/include/FlexLexer.h,
	* vauc/vcore/find_path.cc,
	* vauc/vcore/callable.cc,
	* vauc/vcore/object_catalog.cc,
	* vauc/vcore/explode.cc,
	* vauc/vcore/unwind_init.hh,
	* vauc/vcore/functionimpl.cc,
	* vauc/vcore/find_cost.cc,
	* vauc/vcore/lazy_print_visitor.cc,
	* vauc/vcore/module_loader.cc,
	* vauc/vcore/closure.cc,
	* vauc/vcore/unwind_init.cc,
	* vauc/vcore/eval.cc,
	* vauc/vcore/partial_call.cc,
	* vauc/vcore/env.cc,
	* vauc/vcore/interrupt_handler.cc,
	* doc/makefiles/vcsn-Makefile,
	* doc/INSTALL.txt,
	* doc/README.txt: Change licence to GPL, remove AUTHORS from files.
	* COPYING: Change to GPL.
	* NOTICE: New. Full GPL notice.
	* AUTHORS: New. List of people in the Vaucanson Group.
	* Makefile.am: Add `CONTRIBUTORS' and `NOTICE' in distribution.
	* THANKS: Updated.
	* reheader.pl: Change header, remove auto 2005-copyright adding.
	* CONTRIBUTORS: New. List of contributors and what they have done.

2005-06-24  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/algorithms.cc,
	* src/demos/algorithms/equivalent_functions.hh,
	* src/demos/algorithms/are_equivalent.cc,
	* src/demos/algorithms/classics.cc,
	* src/demos/algorithms/exp_recognized.cc,
	* src/demos/algorithms/equivalent_functions.cc,
	* src/demos/algorithms/universal.cc,
	* src/demos/automaton_library/a1.cc,
	* src/demos/automaton_library/b1.cc,
	* src/demos/automaton_library/c1.cc,
	* src/demos/automaton_library/double_ring.cc,
	* src/demos/automaton_library/ladybird.cc,
	* src/demos/automaton_library/divkbaseb.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_rt_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_tdc_gen.cc,
	* src/demos/transducers/one_rule_rewriting/ORR_demo.cc,
	* src/demos/transducers/t1.cc,
	* src/demos/transducers/u1.cc: Add a few lines of comment at the
	begining of each file to explain what is done and fix typo in comments.

2005-06-24  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* configure.ac,
	* src/demos/utilities/Makefile.am: Fix problem in references to
	Makefile.

2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>


	My five last patches have consisted in cleaning and reorganizing
	the src/demos directory. There are now 6 directories:

	- function_library: programs to call algorithms on several automata
	types,
	- automaton_library: description of several useful automata,
	- algorithms: a few programs on any kind of automata,
	- transducers: examples of transducers and the example of
	one_rule_rewriting,
	- utilities: former fsm and vgrep directories,
	- vaucanswig: unchanged.

	* src/demos/xml: Delete. Useless.

	* src/demos/one_rule_rewriting: Move to...
	* src/demos/transducers/one_rule_rewriting: ... There.
	* src/demos/transducers/Makefile.am: Update.

	* src/demos/vgrep: Move to...
	* src/demos/utilities/vgrep: ... There.
	* src/demos/fsm: Move to...
	* src/demos/utilities/fsm: ... There.
	* src/demos/utilities/Makefile.am: New.

	* src/demos/samples/algorithms,
	* src/demos/samples/algebra,
	* src/demos/samples: Delete. Useless.

	* src/demos/ciaa: Delete. Deprecated.

	* src/demos/universal: Delete, already recreated in algorithms

	* src/demos/Makefile.am,
	* configure.ac: Update.




2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/transducers/t1.cc,
	* src/demos/transducers/u1.cc,
	* src/demos/transducers/Makefile.am: New. Generate two xml files
	containing examples of transducers.

	* src/demos/Makefile.am,
	* configure.ac: Update.

2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/algorithms/equivalent_functions.hh,
	* src/demos/algorithms/equivalent_functions.cc,
	* src/demos/algorithms/are_equivalent.cc: New. Add a program which
	tests if two automata are equivalent.
	* src/demos/algorithms/exp_recognized.cc: New. Add a program which
	tests if an expression is recognized by an automaton.
	* src/demos/algorithms/classics.cc
	* src/demos/algorithms/universal.cc
	* src/demos/algorithms/Makefile.am: New. Add useful algorithms on
	automata.

	* configure.ac,
	* src/demos/Makefile.am: Update.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thh: Add
	include of standard algorithms for each type of automata. These
	includes are avoided if `VCSN_WITHOUT_ALGORITHM_INCLUDES' is set.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* README: Remove. This file is a copy of `doc/README.txt' in the
	distributed package.

	* doc/xml/dev.txt,
	* doc/xml/format.txt: Remove. Deprecated.
	* doc/xml/Makefile.am: Update accordingly.

	* doc/tutorial/tutorial.tex,
	* doc/tutorial/macros.tex,
	* doc/tutorial/Makefile.am,
	* doc/tutorial/definitions.tex,
	* doc/tutorial/packages.tex,
	* doc/tutorial: Remove. Deprecated.

	* doc/beginner/macros.tex,
	* doc/beginner/help.tex,
	* doc/beginner/Makefile.am,
	* doc/beginner/packages.tex,
	* doc/beginner: Remove. Deprecated.

	* doc/Makefile.am,
	* configure.ac: Update accordingly.

	* doc/INSTALL.txt,
	* doc/README.txt: Update according to recent changes.

	* Makefile.am: Copy `doc/README.txt' and `doc/INSTALL.txt' as
	`README' and `INSTALL' in the root dist directory.

2005-06-23  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/cut_up.hxx: Fix a bug in cut-up
	algorithm. An error was made when cut-up'ing transitions labeled by
	polynomial series.
	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh: Update
	accordingly.

2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/function_library/algorithms.cc,
	* src/demos/function_library/rt_tdc_algorithms.cc,
	* src/demos/function_library/tdc_algorithms.cc,
	* src/demos/function_library/Makefile.am: New. Generate programs which
	offer the possibility to use many algorithms of Vaucanson on several
	automata types.

	* src/demos/Makefile.am,
	* configure.ac: Update

2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/automaton_library/a1.cc,
	* src/demos/automaton_library/b1.cc,
	* src/demos/automaton_library/c1.cc,
	* src/demos/automaton_library/double_ring.cc,
	* src/demos/automaton_library/ladybird.cc,
	* src/demos/automaton_library/divkbaseb.cc: New. Generate the xml files
	containing the automata described by the filenames.

	* src/demos/automaton_library/Makefile.am,
	* src/demos/Makefile.am,
	* configure.ac: Update.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* Makefile.am: Add a `sanity-check' rule that make the sanity
	check.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/tools/bencher.hh: Fix declarations
	of QUIET versions.
	* include/vaucanson/tools/bencher.hxx: Use VCSN_BENCH.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/Makefile.am: Let `benchs' SUBDIR be on a single line.
	* Makefile.am: In `dist-hook', remove `benchs' references to avoid
	`benchs' distribution.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/skeleton.hh,
	* include/vaucanson/algorithms/internal/skeleton.hxx,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/isomorph.hh: New. Add "are_isomorphic"
	algorithm made by Rodrigo de Souza.
	* include/Makefile.am: Update accordingly.

	* src/tests/automata/algos/labeled_graphs/are_isomorphic_test.hh: New.
	Add small test for "are_isomorphic".
	* src/tests/automata/algos/labeled_graphs/Makefile.am: Update
	accordingly.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/tests/automata/algos/labeled_graphs/is_isomorph_test.hh,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/isomorph.hh: Remove.
	* src/tests/automata/algos/labeled_graphs/Makefile.am: Update
	accordingly.

2005-06-23  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	This patch is the renaming of the fibonacci directory and the
	addition of some demos on one_rule_rewriting.

	* src/demos/fibonacci/fibonacci.cc,
	* src/demos/fibonacci/fibonacci_fmp_demo.cc,
	* src/demos/fibonacci/fibonacci_demo.cc,
	* src/demos/fibonacci/one_rule_rewriting.cc: Rename as ...
	* src/demos/one_rule_rewriting/fibonacci_demo.cc,
	* src/demos/one_rule_rewriting/fibonacci_tdc_gen.cc,
	* src/demos/one_rule_rewriting/fibonacci_rt_gen.cc,
	* src/demos/one_rule_rewriting/ORR_demo.cc: ... These and do
	some small fixes.

	* configure.ac,
	* src/demos/Makefile.am: Update.

	* src/demos/one_rule_rewriting/ORR_rt_gen.cc: New. Add demo on realtime
	transducers that produces XML files.
	* src/demos/one_rule_rewriting/ORR_tdc_gen.cc: New. Add demo on fmp
	transducers that produces XML files.
	* src/demos/one_rule_rewriting/Makefile.am: Update.


2005-06-23  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algorithms/derivatives_automaton.hh,
	* include/vaucanson/algorithms/derivatives_automaton.hxx: Move to...
	* include/vaucanson/algorithms/derived_terms_automaton.hh,
	* include/vaucanson/algorithms/derived_terms_automaton.hxx: ... This
	and add Broken derived terms algorithm.

	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh: Add
	new IncAutomataConstructor constructor with a list of expressions.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh: Add new
	prat_exp_convert method for lists of expressions.
	* include/vaucanson/algorithms/initial_derivation.hh,
	* include/vaucanson/algorithms/initial_derivation.hxx: New. Add new
	visitor for broken derived terms algorithms.

	* src/tests/automata/algos/letter_combination_labeled_graphs/derivatives_automaton_test.hh: Move to...
	* src/tests/automata/algos/letter_combination_labeled_graphs/derived_terms_automaton_test.hh: ... This.
	* src/demos/samples/algorithms/derivatives_automaton.cc: Move to...
	* src/demos/samples/algorithms/derived_terms_automaton.cc: This.

	* src/tests/automata/algos/letter_combination_labeled_graphs/Makefile.am,
	* src/benchs/derived_terms/derived_terms_bench.hh,
	* src/demos/xml/algorithms.cc,
	* doc/NEWS.txt,
	* src/demos/samples/algorithms/Makefile.am,
	* include/Makefile.am: Update according derivatives_automaton renaming.

2005-06-23  Robert Bigaignon  <bigaig_r@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx:
	Minor fix.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* vcs/vaucanson.rb: Update to post on the mailing list.

2005-06-23  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_moore.hxx: Iterate on
	all groups, do not skip the first one.

2005-06-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/xml/algorithms.cc,
	* src/demos/xml/rt_tdc_algorithms.cc,
	* src/demos/xml/tdc_algorithms.cc: Update demo files with new
	algorithms.

2005-06-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/z_transducer.hh,
	* include/vaucanson/boolean_transducer.hh: Add AUTOMATON_CONTEXT macro,
	as already done in fmp_transducer and z_fmp_transducer headers.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx,
	* include/vaucanson/contexts/transducer_functions.thxx: Modify the
	evaluation functions to give a more user friendly result.

2005-06-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized_composition.hxx: Fix a huge
	bug in the composition of fmp transducers.

2005-06-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/projection.hxx: Correct bug in
	'output_projection', some initial and final transitions ended up being
	labeled by words.

2005-06-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/evaluation_fmp.hxx: Correct bugs in
	evaluation on fmp transducers.

2005-06-22  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/backward_realtime.hxx: Add a function to
	split words into letters, and call it at the end of the algorithm.

	* include/vaucanson/algorithms/forward_realtime.hxx: Fix a bug: call
	co-accessible instead of accessible at the end of the algorithm. Also
	call the function that split words.

	* include/vaucanson/algorithms/cut_up.hh,
	* include/vaucanson/algorithms/cut_up.hxx: Add here version of cut-up
	algorithm.

2005-06-22  Robert Bigaignon  <bigaig_r@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx:
	Add new choosers to aut_to_exp, including heuristic choosers.

	* src/tests/automata/algos/labeled_graphs/elimination_heuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_dmheuristic_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_random_test.hh:
	New. Add simple tests for new choosers.
	* src/tests/automata/algos/labeled_graphs/Makefile.am:
	Update accordingly.

2005-06-21  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_to_fmp.hxx: Fix a bug:
	structural element was missing in the code.

2005-06-18  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/complete.hxx: Do not create
	the sink state if the automaton is already complete.

2005-06-17  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_to_fmp.hxx:
	Fix bug when initial and final states have multiplicities.

2005-06-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	This patch adds two demos on fibonacci, the first on realtime
	transducers, and the second on fmp transducers. They both do the
	same thing, namely create 4 XML files representing: fibleft,
	fibright, and the compositions of these two transducers (both
	ways).

	* src/demos/fibonacci/fibonacci_demo.cc: New. Add demo on realtime
	transducers that produces XML files.
	* src/demos/fibonacci/fibonacci_fmp_demo.cc: New. Add demo on fmp
	transducers that produces XML files.
	* src/demos/fibonacci/Makefile.am: Update accordingly.


2005-06-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	This patch adds two demos inspired on what Thomas had done with
	'algorithms.cc' for CIAA'04. 'tdc_algorithms.cc' is on fmp
	transducers and 'rt_tdc_algorithms.cc' on realtime
	transducers. Two binaries are generated: 'tdc' and 'rt_tdc', which
	can be used in the same way as the binaries 'b', 'z', etc,
	generated with 'algorithms.cc'.

	* src/demos/xml/tdc_algorithms.cc: New. Add demo on algorithms on fmp
	transducers.
	* src/demos/xml/rt_tdc_algorithms.cc: New. Add demo on algorithms on
	realtime transducers.
	* src/demos/xml/Makefile.am: Update accordingly.

2005-06-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx: Make the
	composition of unweighted fmp transducers available for any user (it
	is now named 'b_composition').

2005-06-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/projections_fmp.hxx: Minor fix.

2005-06-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: Minor fix.

2005-06-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: Minor fix.

2005-06-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx: Fix a bug in XML system. Transitions
	where either "in" or "out" attribute was omitted were badly handled.

2005-06-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/xml/samples/div3base2.xml,
	* src/demos/xml/samples/c1.xml,
	* src/demos/xml/samples/occ_b.xml,
	* src/demos/xml/samples/lomb1.xml,
	* src/demos/xml/samples/lomb2.xml,
	* src/demos/xml/samples/double_ring6.xml: Update according grammar
	change (suppression of <initials> and <finals>).

2005-06-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/xml/vaucanson.xsd: Change the grammar in order to make <initial>
	and <final> children of <transitions>. Suppress tags <initials> and
	<finals>.

	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx,
	* include/vaucanson/xml/xml_converter.hxx: Update according to the
	grammar changes.

	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml,
	* src/tests/xml/fmp_ref.xml,
	* src/tests/xml/session_ref.xml: Update accordingly.

2005-06-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/z_fmp_transducer.hh,
	* include/vaucanson/fmp_transducer.hh: Define macro AUTOMATON_CONTEXT,
	regarding the automaton context used in fmp_transducer_functions.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx: Use macro
	AUTOMATON_CONTEXT instead of boolean_automaton.

	* include/vaucanson/algorithms/projections_fmp.hh: Fix missing
	includes.

2005-06-15  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	This patch offers several new algorithms on transducers seen as
	automata over a free monoid product. Some projections are now
	available: 'domain' which creates an automaton which transitions
	are labeled by the first component of each word of the fmp
	transducer, 'image' which does the same with the second component
	and 'identity' which transforms an automaton in a fmp transducer
	by creating, for each word, a pair containing twice this word.
	Furthermore, evaluation is now available and a new function has
	been added to the fmp context headers in order to facilitate the
	call to the evaluation algorithm, just as it is already done for
	transducers.

	* include/vaucanson/algorithms/projections_fmp.hh,
	* include/vaucanson/algorithms/projections_fmp.hxx: New. Add 'domain',
	'image' and 'identity' projections for fmp transducers.
	* include/vaucanson/algorithms/evaluation_fmp.hh,
	* include/vaucanson/algorithms/evaluation_fmp.hxx: New. Add an
	evaluation algorithm for fmp transducers.
	* include/Makefile.am: Update accordingly.

	* src/tests/automata/algos/fmp_transducers/evaluation_fmp_test.hh: New.
	Write a test for the evaluation on fmp transducers.
	* src/tests/automata/algos/fmp_transducers/Makefile.am: Update
	accordingly.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx: Add the
	'evaluation' function to ease the interface with the user.

2005-06-09  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx: As  the  user would
	like  to  precise her  own  seed,  remove  the  automated  one  in
	RandomChooser's constructor.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/derived_terms/derived_terms_bench.hh: Print edges
	number.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/minimization_nd: Remove.
	* src/benchs/minimization_nd/minimization_nd_bench.hh: Remove.
	* src/benchs/minimization_nd/Makefile.bench: Remove. This bench
	has been removed as it's redundant seeing `derived_term' bench.
	* src/benchs/Makefile.am,
	* src/benchs/generate_all_benchs.sh,
	* configure.ac: Update accordingly.

2005-06-06  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized_composition.hxx: Remove
	useless included file.

	* include/vaucanson/algorithms/outsplitting.hh,
	* include/vaucanson/algorithms/outsplitting.hxx: Add wrappers to
	outsplitting and insplitting functions.

	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh:
	Fix a small bug.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/minimization_2n/minimization_2n_brzozowski_bench.hh: New.
	* src/benchs/minimization_debruijn/minimization_debruijn_brzozowski_bench.hh: New.
	* src/benchs/minimization_2n/Makefile.bench,
	* src/benchs/minimization_debruijn/Makefile.bench: Add the Brzozowski
	minimization to be benched.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/common/bench_constructs.hh: Remove the binary automaton
	C_1 construction as it's implemented in quotient_*_bench.hh.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/quotient/quotient_bool_bench.hh: New.
	* src/benchs/quotient/quotient_bench.hh: Remove.
	* src/benchs/quotient/quotient_z_bench.hh: New.
	* src/benchs/quotient/Makefile.bench: Bench the quotient
	on the C_1 automaton (as described in Inside Vaucanson),
	for both boolean and Z automata.


2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/derived_terms/derived_terms_dt_bench.hh: Remove.
	* src/benchs/derived_terms/derived_terms_bench.hh: New.
	* src/benchs/derived_terms/derived_terms_so_bench.hh: Remove.
	* src/benchs/derived_terms/Makefile.bench: Derived terms bench
	now does both derivatives_automaton and standard_of.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/composition/realtime_composition_bench.hh,
	* src/benchs/composition/normalized_composition_bench.hh,
	* src/benchs/composition/Makefile.bench: Change input of this
	bench to be a(b)^n and b(a)^n.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx: Fix use of
	`srand': use it only once in the lifetime of a RandomChooser.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_to_fmp.hxx: Fix
	use of support. Copy them before their use.

2005-06-06  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/normalized_composition.hxx,
	* include/vaucanson/algorithms/outsplitting.hxx: Fix small problems in
	composition of fmp transducers.

	* src/benchs/composition/realtime_composition_bench.hh,
	* src/benchs/composition/normalized_composition_bench.hh: New. Add
	bench for fmp transducer composition.
	* src/benchs/composition/Makefile.bench,
	* src/benchs/generate_all_benchs.sh,
	* configure.ac: Update accordingly.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/determinization/Makefile.bench: Change \$1 to \$$1.

2005-06-06  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* src/benchs/derived_terms/Makefile.bench,
	* src/benchs/minimization_debruijn/Makefile.bench,
	* src/benchs/minimization_2n/Makefile.bench,
	* src/benchs/determinization/Makefile.bench: Set interval of bench.
	* src/benchs/minimization_nd/minimization_nd_bench.hh,
	* src/benchs/derived_terms/derived_terms_dt_bench.hh,
	* src/benchs/derived_terms/derived_terms_so_bench.hh: Change output.
	Be more verbose.
	* src/benchs/Makefile.am: Change the order of bench. The Stroppa's
	bench is the last one as it's more likely to fail.

2005-06-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* bootstrap.sh: Add the bootstrapping of bench files.

	* src/benchs: New. Bench suite directory.
	* src/benchs/generate_benchs.sh: New.   This script  generates .cc
	files associated  with _bench.hh files,  and creates corresponding
	Makefile.am's.
	* src/benchs/generate_all_benchs.sh:  New.   Wrapper    that  call
	generate_benchs.sh for all bench directories.

	* src/benchs/minimization_stroppa/minimization_bench_fsm.cc,
	* src/benchs/minimization_stroppa/usual.hxx,
	* src/benchs/minimization_stroppa/init.hh,
	* src/benchs/minimization_stroppa/fsm_minimize.hh,
	* src/benchs/minimization_stroppa/tools.hxx,
	* src/benchs/minimization_stroppa/data,
	* src/benchs/minimization_stroppa/init.hxx,
	* src/benchs/minimization_stroppa/Makefile.bench,
	* src/benchs/minimization_stroppa/minimization_bench_moore.cc,
	* src/benchs/minimization_stroppa/int_traits.hh,
	* src/benchs/minimization_stroppa/minimization_bench_hopcroft.cc,
	* src/benchs/minimization_stroppa/tools.hh,
	* src/benchs/minimization_stroppa/usual_ana_predefs.hh,
	* src/benchs/minimization_stroppa:   New.  A   minimization  bench
	thanks to Nicolas Stroppa.

	* src/benchs/determinization/determinization_bench.hh,
	* src/benchs/determinization/Makefile.bench,
	* src/benchs/determinization/determinization_bench_fsm.cc,
	* src/benchs/determinization: New. A  bench which determinize an n
	states automaton to a 2^n automaton.

	* src/benchs/minimization_2n/minimization_2n_moore_bench.hh,
	* src/benchs/minimization_2n/minimization_2n_hopcroft_bench.hh,
	* src/benchs/minimization_2n/Makefile.bench,
	* src/benchs/minimization_2n: New.  A   minimization bench  on the
	resulting automaton of the determinization previously described.

	* src/benchs/quotient/quotient_bench.hh,
	* src/benchs/quotient/Makefile.bench,
	* src/benchs/quotient: New. A quotient bench.

	* src/benchs/minimization_nd/minimization_nd_bench.hh,
	* src/benchs/minimization_nd/Makefile.bench,
	* src/benchs/minimization_nd:  New.  A  minimization bench  over a
	nondeterministic automaton.

	* src/benchs/minimization_debruijn/minimization_debruijn_moore_bench.hh,
	* src/benchs/minimization_debruijn/minimization_debruijn_hopcroft_bench.hh,
	* src/benchs/minimization_debruijn/Makefile.bench,
	* src/benchs/minimization_debruijn: New. A minimization bench over
	the De Bruijn automaton, thanks to Sylvain Lombardy.

	* src/benchs/derived_terms/derived_terms_dt_bench.hh,
	* src/benchs/derived_terms/derived_terms_so_bench.hh,
	* src/benchs/derived_terms/Makefile.bench,
	* src/benchs/derived_terms:  New. A bench  to compare consequences
	of the `derived terms' algorithm, and the `standard_of' one.

	* src/benchs/common/alpha.syms: New. Alpha mapping for FSM.
	* src/benchs/common/algorithm.hh: New. Algorithm used in benchs.
	* src/benchs/common/bench_automaton.hh: New. The `bench_automaton'
	is   a   light    automaton   with   `label_are_letters'   and   a
	`small_alpha_letter'.
	* src/benchs/common/bench_constructs.hh:   New.   Basic  automaton
	constructions used in the benchs.
	* src/benchs/common/Makefile.flags,
	* src/benchs/common/Makefile.am,
	* src/benchs/common: New.

	* src/benchs/Makefile.am: New. Define a `bench' rule and subdirs.
	* src/Makefile.am: Add `bench' as a subdir.
	* configure.ac: Add Makefiles in src/bench to be generated.
	* Makefile.am: Add a `bench' rule.

2005-06-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/tools/bencher.hh: Add macros to bench silently
	and just have the numerical value of the bench.

2005-06-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hxx (op_letter_delta):
	Don't name the `delta_kind' nor the structure to avoid a warning.

2005-06-03  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/z_transducer.hh: New. Add a context header for
	transducers on Z semiring.
	* include/Makefile.am: Update accordingly.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx: Modify
	'make_couple' function to return a monoid_elt_t instead of a
	series_elt_t.
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh:
	Update accordingly.

	* src/tests/test-suites/context_headers_z_transducer.defs: New.
	Instantiate a test for the new context header.
	* src/tests/test-suites/z_transducer.defs: New. Instantiate a test on
	transducers on Z semiring.

	* src/tests/test-suites/z_fmp_transducer.defs: New. Instantiate a test
	on fmp transducers on Z semiring.
	* src/tests/test-suites/generate-all.sh: Update accordingly.

	* src/tests/automata/algos/fmp_transducers/instantiation_test.hh:
	Remove useless test.
	* src/tests/automata/algos/fmp_transducers/Makefile.am: Update
	accordingly.

2005-06-01  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/sub_normalize.hh,
	* include/vaucanson/algorithms/sub_normalize.hxx: Minor fix.

2005-05-27  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/xml/XML.hh: Add the attribute 'name_' to the
	structure 'XML' so as to store the automaton name during the XML
	session.
	* include/vaucanson/tools/xml_dump.hxx: Add the name of the automaton
	in 'xml_dump'.
	* include/vaucanson/tools/xml_load.hh,
	* include/vaucanson/tools/xml_load.hxx: New. Add 'xml_load' tool to
	fill an automaton from a IStream containing XML	data.
	* include/Makefile.am: Update accordingly.

2005-05-26  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/Makefile.am: Add missing files.

2005-05-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: Fix a bug with boolean automata.
	* src/tests/xml/b_ref.dot: Update accordingly.

2005-05-25  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/sub_normalize.hh,
	* include/vaucanson/algorithms/sub_normalize.hxx: New. Add
	sub-normalization for FMP transducers.

	* src/tests/automata/algos/fmp_transducers/sub_normalize_test.hh: New.
	Add test for sub-normalization of FMP transducers.

2005-05-25  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx:
	Fix a compilation error that happens if one uses derivatives_automaton
	with the DEBUG flag.

2005-05-25  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	This patch aim to make the test suite only output printable
	characters.
	In case of error in a test, relevant informations are now output
	in a file in `/tmp'.
	* src/tests/check/tester.hh: Add `TEST_FAIL_SAVE' macro for
	test to save informations about failing tests in a file. Force
	`EQTEST' to only output printable characters through the
	filtering function `printable'.
	* src/tests/automata/algos/label_aware_graphs/glushkov_test.hh,
	* src/tests/automata/algos/label_aware_graphs/sum_test.hh,
	* src/tests/automata/algos/label_aware_graphs/concat_test.hh,
	* src/tests/automata/algos/label_aware_graphs/closure_test.hh,
	* src/tests/automata/algos/label_aware_graphs/in_concat_test.hh,
	* src/tests/automata/algos/graphs/accessible_test.hh,
	* src/tests/automata/algos/boolean_automata/complete_test.hh,
	* src/tests/automata/algos/labeled_graphs/thompson_test.hh,
	* src/tests/automata/algos/labeled_graphs/elimination_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_regression_test.hh,
	* src/tests/automata/algos/letter_combination_labeled_graphs/product_test.hh,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/misc/assert_test.cc,
	* src/tests/misc/random.cc,
	* src/tests/misc/limits.cc: Fix the output of these tests, forcing
	it to be clean by only printing printable characters.
	* src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh:
	Remove. This test is useless as
	`src/tests/algebra/series/krat/derivations/derivation/*' do the
	same, in a more complete way.
	* src/tests/algebra/series/krat/main/Makefile.am: Update accordingly.

2005-05-23  Robert Bigaignon  <bigaig_r@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/star_height_visitor.hxx:
	New. Add a new visitor that computes the star height of an expression.

	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/length_visitor.hxx:
	New. Add a new visitor that computes the length of an expression,
	i.e. the number of letters in the expression.

	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh:
	Add star_height() and length() methods to class exp.

	* include/Makefile.am:
	Update accordingly.

2005-05-23  Robert Bigaignon  <bigaig_r@lrde.epita.fr>

	* include/vaucanson/algorithms/aut_to_exp.hxx:
	Add a new chooser that chooses randomly states to delete.

2005-05-22  Raphaël Poss  <raph@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/polynoms.hxx:
	Fix bug introduced by the use of 'assertion_()'.

2005-05-21  Raphaël Poss  <raph@lrde.epita.fr>

	Cosmetic changes, as suggested by Thomas Claveirole.

	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx:
	Change 'unreachable' to 'result_not_computable'.

	* include/vaucanson/misc/contract.hh: Replace '__trap' with
	'vcsn_trap_' to avoid using names reserved by the standard
	library.

	* include/vaucanson/algebra/implementation/series/polynoms.hxx:
	Fix spelling error.

2005-05-21  Raphaël Poss  <raph@lrde.epita.fr>

	Fix long-standing bug that prevented the correct optimization of
	static Element structures. Thank Nicolas Stroppa for this report.

	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh:
	Replace 'dynamic_values' with 'dynamic_value'.

2005-05-21  Raphaël Poss  <raph@lrde.epita.fr>

	Make more parts of Vaucanson compile with -fno-exceptions. Clean
	use of contract macros.

	Now uses of 'result_not_computable' will abort() the program
	unless EXCEPTION_TRAPS is defined. (this is what EXCEPTION_TRAPS
	stands for in the first place).

	* include/vaucanson/misc/contract.hh: Always define
	vcsn::contract::trap. Add macro 'result_not_computable_if'. Change
	'result_not_computable' to look more like other contract
	macros. Add 'assertion_', 'precondition_' and 'postcondition_' to
	accept an explanation message. Add 'unreachable' macro to detect
	unreachable code.

	* include/vaucanson/algorithms/closure.hxx: Use
	'result_not_computable_if()'.

	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Use
	'precondition_()' instead of direct throw.

	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx:
	Use 'postcondition()' instead of direct throw.

	* include/vaucanson/algebra/implementation/series/polynoms.hxx:
	Use 'postcondition()' instead of direct throw.

	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh:
	Report dependency on exceptions in the documentation.

	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx:
	Use 'unreachable' to beautify.

	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx:
	Use 'unreachable' to beautify and express error message more verbosely.

	* include/vaucanson/contexts/automaton_functions.thxx: Use
	'postcondition_()' instead of direct throw.

	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx:
	Use 'assertion_' to beautify.

	* include/vaucanson/algebra/implementation/series/polynoms.hxx:
	Use 'assertion_' to simplify. (this change also optimizes one test
	away when VCSN_NDEBUG is defined)

	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx: Use
	'pure_service_call' instead of 'assertion', because it is what it
	was intended for in the first place.

	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh:
	Change exception test accordingly.

2005-05-20  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_moore.hxx: Add the
	include to `delta_kind.hh'.

2005-05-20  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_base.hxx:
	Replace unsigned int with bool to avoid a possible bug.

2005-05-18  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_moore.hh,
	* include/vaucanson/algorithms/minimization_moore.hxx: Debug
	`minimization_moore' with non letter transitions, making sort of
	`cut_up' on the fly. Add a `co_minimization_moore' algorithm,
	making a co-minimization on a co-deterministic automaton.
	* src/tests/automata/algos/boolean_automata/minimization_test.hh:
	Add `co_minimization_moore' test.

2005-05-17  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* configure.ac: Bump to Vaucanson 0.7.
	* doc/NEWS.txt: Update with Vaucanson new features.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: Fix label creation for automata.

	* src/demos/xml/samples/div3base2.xml,
	* src/demos/xml/samples/c1.xml,
	* src/demos/xml/samples/occ_b.xml,
	* src/demos/xml/samples/lomb1.xml,
	* src/demos/xml/samples/lomb2.xml,
	* src/demos/xml/samples/double_ring6.xml,
	* src/tests/xml/b_ref.xml: Update reference files.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/tools.hxx: Fix label creation for automata.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/transducer_to_fmp.hh,
	* include/vaucanson/algorithms/transducer_to_fmp.hxx: Rename to...
	* include/vaucanson/algorithms/realtime_to_fmp.hh,
	* include/vaucanson/algorithms/realtime_to_fmp.hxx: ...These.
	Rename algorithm trans_to_fmp to realtime_to_fmp.

	* include/vaucanson/algorithms/fmp_to_transducer.hh,
	* include/vaucanson/algorithms/fmp_to_transducer.hxx: Rename to...
	* include/vaucanson/algorithms/fmp_to_realtime.hh,
	* include/vaucanson/algorithms/fmp_to_realtime.hxx: ...These.
	Rename algorithm fmp_to_trans to fmp_to_realtime.

	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh,
	* include/Makefile.am: Update accordingly.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/cut_up.hxx: Fix error in algorithm.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/infos.hh: Remove useless file. This file
	will be re-added if necessary.
	* include/Makefile.am: Update accordingly.

2005-05-16  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_base.hxx:
	Replaced uint with unsigned int in op_rout.
	* include/vaucanson/tools/dot_format.hxx: Fixed 80-column
	problems.

2005-05-16  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/tools/out_display.hh,
	* include/vaucanson/tools/out_display.hxx: Add function out_display
	-a former dot_display function which name is now inappropriate-
	that calls in a pipe the function given as an argument.
	* include/vaucanson/tools/xml_display.hh,
	* include/vaucanson/tools/xml_display.hxx: Add xml_display function
	that calls out_display with xml_dump as an argument.
	* include/vaucanson/tools/xml_dump.hh,
	* include/vaucanson/tools/xml_dump.hxx: Add xml_dump function
	that shows an automaton in XML format.
	* include/vaucanson/tools/dot_display.hh: Minor fixes.
	* include/vaucanson/tools/dot_display.hxx: Change dot_display that
	now calls out_display with dot_dump as an argument.
	* include/Makefile.am: Update accordingly.

2005-05-16  Florent Terrones  <florent.terrones@lrde.epita.fr>

	This patch changes the dotty output by putting the empty word instead
	of nothing in the case of empty word for both Transducers and FMP
	transducers.

	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Change
	op_rout method to add the empty word in the stream instead of nothing.
	* include/vaucanson/tools/dot_format.hxx: Apply conv (= string_out)
	method for transducers to 'in' labels.
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/io.hxx: Change the struct string_out
	by making different methods for AutomataBase and TransducerBase.
	Add check_empty_word method that adds the empty word to the label
	if its content is empty.
	* src/tests/xml/trans_ref.dot: Update reference accordingly.

2005-05-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	This patch adds a new algorithm to the library: normalized_composition.
	This composition can only be applied to normalized and sub-normalized
	transducers seen as automata over a free monoid product.(edges with
	labels of types (a,1), (1,a) and (a,b) )

	* include/vaucanson/algorithms/outsplitting.hh,
	* include/vaucanson/algorithms/outsplitting.hxx: New. Add outsplitting
	and insplitting algorithms (used in particular in normalized
	composition algorithm).

	* include/vaucanson/algorithms/normalized_composition.hh,
	* include/vaucanson/algorithms/normalized_composition.hxx: New. Add a
	new composition algorithm, for normalized and sub-normalized
	transducers seen as automata over a free monoid product.

	* include/Makefile.am: Update accordingly.

	* src/tests/automata/algos/fmp_transducers/normalized_composition_test.hh:
	New. Add a test on composition for normalized and sub-normalized
	transducers seen as automata over a free monoid product.
	* src/tests/automata/algos/fmp_transducers/Makefile.am: Update.

2005-05-16  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/algorithms/transducer_to_fmp.hxx,
	* include/vaucanson/algorithms/transducer_to_fmp.hh,
	* include/vaucanson/algorithms/fmp_to_transducer.hxx,
	* include/vaucanson/algorithms/fmp_to_transducer.hh:
	Minor fixes according to coding style.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/cut_up.hxx: Minor fix to reduce
	complexity of the treatment.
	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh: Update.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/cut_up.hh,
	* include/vaucanson/algorithms/cut_up.hxx: New. Add cut-up algorithm.

	* src/tests/automata/algos/label_aware_graphs/cut_up_test.hh: New. Add
	test for cut-up algorithm.

	* include/Makefile.am,
	* src/tests/automata/algos/label_aware_graphs/Makefile.am: Update
	accordingly.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/Makefile.am: Add test result files to CLEANFILES.

2005-05-16  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch re-activate XML session support. Usage is the same as
	before, but the class is named xml_session.

	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/session.hxx: New. XML session support.

	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/xml_converter.hxx,
	* include/vaucanson/xml/xerces_parser.hxx,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx: Code maintainance to ease XML
	session handling.

	* src/demos/xml/make_session.cc,
	* src/demos/xml/display_session.cc: New. Re-add demos for session.
	These demos are temporarely limited to boolean automata.

	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml,
	* src/tests/xml/fmp_ref.xml: Fix. Add an extraneous blank line at end
	of file.

	* src/tests/xml/session_ref.xml
	* src/tests/xml/session_ref.dot,
	* src/tests/xml/xml_session_tester.cc: Add tests for XML sessions.
	* src/tests/xml/tester.sh: Update accordingly.

	* include/Makefile.am,
	* src/tests/xml/Makefile.am,
	* src/demos/xml/Makefile.am: Update.

	* doc/xml/vaucanson.xsd: Fix maxOccurs parameter for sessions (was set
	to 1, set to unbounded).

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/tester.sh: Fix the XML test script.

2005-05-15  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/algorithms/transducer_to_fmp.hxx,
	* include/vaucanson/algorithms/transducer_to_fmp.hh,
	* include/vaucanson/algorithms/fmp_to_transducer.hxx,
	* include/vaucanson/algorithms/fmp_to_transducer.hh:
	New. Add new functions to transform an automaton over a free monoid
	product to an equivalent transducer (and vice-versa).
	Note that those functions work only if the support of each edge is
	finite.

	* include/Makefile.am: Update accordingly.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/xml_trans_tester.cc,
	* src/tests/xml/xml_automaton_tester.cc,
	* src/tests/xml/xml_fmp_tester.cc: New. XML test programs. Used to
	generate XML / DOT for known automata, and to parse XML.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/Makefile.am: Remove links to old XML files.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Fix demos with new XML system, and make XML reference files compliant
	with XSD. The two session demos are temporarely removed, and will be
	updated soon in a patch dedicated to XML sessions.

	* src/demos/xml/samples/div3base2.xml,
	* src/demos/xml/samples/c1.xml,
	* src/demos/xml/samples/occ_b.xml,
	* src/demos/xml/samples/lomb1.xml,
	* src/demos/xml/samples/lomb2.xml,
	* src/demos/xml/samples/double_ring6.xml: Remove reference to DTD and
	fix namespace.

	* src/demos/xml/samples/lomb2.cc,
	* src/demos/xml/samples/c1.cc,
	* src/demos/xml/samples/occ_b.cc,
	* src/demos/xml/samples/double_ring.cc,
	* src/demos/xml/samples/divkbaseb.cc,
	* src/demos/xml/samples/lomb1.cc,
	* src/demos/xml/static_boolean.cc,
	* src/demos/xml/algorithms.cc: Update with new XML system.

	* src/demos/xml/make_session.cc,
	* src/demos/xml/display_session.cc: Remove. These files will be updated
	and re-added in a future patch about XML session handling.

	* src/demos/xml/Makefile.am
	* src/demos/xml/samples/Makefile.am: Update accordingly.

	* src/tests/xml/tester.sh: Fix fail return code.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/xml_converter.hh,
	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/xerces_parser.hh: Fix some include problems.

	* include/vaucanson/xml/XML.hh: Move macro definitions ...
	* include/vaucanson/tools/usual_macros.hh:... here.

	* include/vaucanson/xml/if_tag.hh,
	* include/vaucanson/xml/if_tag.hxx: Delete. These files are inaccurate
	at the moment. They will be fixed and re-added, if necessary.

	* include/vaucanson/xml/strings.hh: Remove a bad include.

	* doc/xml/vaucanson.xsd: Fix monoid and semiring order for
	transducers.

	* include/Makefile.am: Fix and update.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/import_dynamic-simple.xml.ref,
	* src/tests/xml/export_static-numerical.xml.ref,
	* src/tests/xml/session.xml,
	* src/tests/xml/import_static-simple.xml.ref,
	* src/tests/xml/export_session-transcoder.xml.ref,
	* src/tests/xml/export_session-float.xml.ref,
	* src/tests/xml/export_dynamic-transcoder.xml.ref,
	* src/tests/xml/transcoder.xml,
	* src/tests/xml/import_session-numerical.xml.ref,
	* src/tests/xml/test.src,
	* src/tests/xml/import_static-numerical.xml.ref,
	* src/tests/xml/export_session.cc,
	* src/tests/xml/export_dynamic.cc,
	* src/tests/xml/export_dynamic-tropical.xml.ref,
	* src/tests/xml/numerical.xml,
	* src/tests/xml/nodata-float.xml.ref,
	* src/tests/xml/import_generic-float.xml.ref,
	* src/tests/xml/export_session-simple.xml.ref,
	* src/tests/xml/export_dynamic-simple.xml.ref,
	* src/tests/xml/simple.xml,
	* src/tests/xml/nodata-tropical.xml.ref,
	* src/tests/xml/import_dynamic-float.xml.ref,
	* src/tests/xml/import_generic-tropical.xml.ref,
	* src/tests/xml/import_dynamic-tropical.xml.ref,
	* src/tests/xml/export_static-transcoder.xml.ref,
	* src/tests/xml/export_static-float.xml.ref,
	* src/tests/xml/import_session-session.xml.ref,
	* src/tests/xml/z_min_plus_ref.xml,
	* src/tests/xml/import_static-session.xml.ref,
	* src/tests/xml/export_dynamic-numerical.xml.ref,
	* src/tests/xml/export_static.cc,
	* src/tests/xml/export_session-session.xml.ref,
	* src/tests/xml/export_static-simple.xml.ref,
	* src/tests/xml/import_session-float.xml.ref,
	* src/tests/xml/import_static-float.xml.ref,
	* src/tests/xml/import_generic-session.xml.ref,
	* src/tests/xml/nodata-session.xml.ref,
	* src/tests/xml/float.xml,
	* src/tests/xml/import_dynamic-session.xml.ref,
	* src/tests/xml/export_session-tropical.xml.ref,
	* src/tests/xml/export_session-numerical.xml.ref,
	* src/tests/xml/tropical.xml,
	* src/tests/xml/export_dynamic-session.xml.ref,
	* src/tests/xml/import_generic-transcoder.xml.ref,
	* src/tests/xml/nodata-transcoder.xml.ref,
	* src/tests/xml/export_static-session.xml.ref,
	* src/tests/xml/import_session-transcoder.xml.ref,
	* src/tests/xml/import_generic.cc,
	* src/tests/xml/import_dynamic-transcoder.xml.ref,
	* src/tests/xml/nodata.cc,
	* src/tests/xml/import_static-transcoder.xml.ref,
	* src/tests/xml/import_generic-numerical.xml.ref,
	* src/tests/xml/nodata-numerical.xml.ref,
	* src/tests/xml/import_session.cc,
	* src/tests/xml/import_dynamic.cc,
	* src/tests/xml/export_dynamic-float.xml.ref,
	* src/tests/xml/import_session-tropical.xml.ref,
	* src/tests/xml/import_static.cc,
	* src/tests/xml/import_dynamic-numerical.xml.ref,
	* src/tests/xml/import_static-tropical.xml.ref,
	* src/tests/xml/import_generic-simple.xml.ref,
	* src/tests/xml/nodata-simple.xml.ref,
	* src/tests/xml/export_static-tropical.xml.ref,
	* src/tests/xml/import_session-simple.xml.ref: Remove old XML test
	suite.

	* src/tests/xml/tester.sh: New. Script used to test XML.
	* src/tests/xml/b_ref.xml,
	* src/tests/xml/fmp_ref.xml,
	* src/tests/xml/trans_ref.xml,
	* src/tests/xml/r_ref.xml,
	* src/tests/xml/z_ref.xml,
	* src/tests/xml/z_max_plus_ref.xml: New. XML reference files.

	* src/tests/xml/z_max_plus_ref.dot,
	* src/tests/xml/b_ref.dot,
	* src/tests/xml/fmp_ref.dot,
	* src/tests/xml/trans_ref.dot
	* src/tests/xml/r_ref.dot,
	* src/tests/xml/z_ref.dot,
	* src/tests/xml/z_min_plus_ref.dot: New. DOT reference files.

	* src/tests/xml/Makefile.am: Update accordingly.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch enable full functionnality of the new version of XML support
	in Vaucanson. It works with any kind of automaton supported in
	Vaucanson, including transducers. Also, it enable full support of the
	new XSD Schema definition.
	Macros XML_BEGIN and XML_END are suppressed. to use XML,

	#include <vaucanson/xml/XML.hh>

	and use one of the following:
	out << automaton_saver(automaton, io::string_out(), xml::XML());
	- or -
	in >> automaton_loader(automaton, io::string_out(), xml::XML());

	Some facilities function like dot_dump will be commited soon.

	* include/vaucanson/xml/XML.hh,
	* include/vaucanson/xml/XML.hxx: New. Provides xml::XML() class, to be
	used in automaton_{loader, saver}. It is the only file needed to be
	included in order to work with XML capabilities.

	* include/vaucanson/xml/xerces_parser.hh,
	* include/vaucanson/xml/xerces_parser.hxx: New. Xerces-C++ parser.

	* include/vaucanson/xml/xml_converter.hh
	* include/vaucanson/xml/xml_converter.hxx: New. Base class to convert
	any automaton to XML and vice et versa.

	* include/vaucanson/xml/node.hh,
	* include/vaucanson/xml/node.hxx: New. Node hierarchy used with the
	factory, to create automaton from XML.

	* include/vaucanson/xml/xml_chooser.hh,
	* include/vaucanson/xml/xml_chooser.hxx: New. Class providing
	facilities to get / create labels, etc. w.r.t automaton type. Some
	specializations to custom XML output are here.

	* include/vaucanson/xml/tools.hh,
	* include/vaucanson/xml/tools.hxx: New. Useful tools to build string
	from automaton type, to check conformance of automaton type with XML
	document, etc. Most of the specialization w.r.t supported automaton
	types are here.

	* include/Makefile.am: Update accordingly.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/design_pattern/factory.hh: New. Add Factory Method
	design pattern. This implementation is the one proposed by Alexandrescu
	in "Modern C++ Design".
	* include/Makefile.am: Update accordingly.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* doc/xml/vaucanson.xsd: New. XSD Schema for Vaucanson-XML
	specification.
	* doc/xml/Makefile.am: Update accordingly.

	* Makefile.am: Remove dead directory reference.

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	WARNING: This patch temporarely breaks XML feature.

	* include/vaucanson/xml/xml_ops.hh,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/xml_set.hxx,
	* include/vaucanson/xml/dynamic.hh,
	* include/vaucanson/xml/xml_loader.hh,
	* include/vaucanson/xml/xml_automaton.hh,
	* include/vaucanson/xml/static.hh,
	* include/vaucanson/xml/xml_ops.hxx,
	* include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/callback.hh,
	* include/vaucanson/xml/xml_value.hh,
	* include/vaucanson/xml/xml_loader.hxx,
	* include/vaucanson/xml/xml_automaton.hxx,
	* include/vaucanson/xml/callback.hxx,
	* include/vaucanson/xml/types.hh,
	* include/vaucanson/xml/xml_value.hxx,
	* include/vaucanson/xml/defaults.hh,
	* include/vaucanson/xml/xml_set.hh,
	* include/vaucanson/xml/errors.hh,
	* include/vaucanson/xml/generic.hh,
	* include/vaucanson/xml/genutfstrings.sh,
	* xml/style-to-tex.awk,
	* xml/vaucanson-g.style,
	* xml/automaton-to-dot.xsl,
	* xml/automaton-to-neato.xsl,
	* xml/automaton-to-vcsng.xsl.sh,
	* xml/style-to-xsl-vcsng.awk,
	* xml/style-to-geometryvalue.awk,
	* xml/Makefile.am,
	* xml/style-to-code.awk,
	* xml/style-to-dtd.awk,
	* xml/gendtd.sh: Remove previous XML implementation and related files.

	* include/Makefile.am,
	* configure.ac: Update accordingly

2005-05-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/polynoms.hxx: Remove
	compilation warning.

2005-05-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/product.hxx: Fix missing namespace
	before function.

2005-05-14  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/tests/test-suites/context_headers_fmp_transducer.defs: New.
	Instantiate test on fmp transducers on Boolean semiring.

2005-05-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	This patch enrich graph implementation with a map of states to pair of
	double; giving the ability to store state geometric coordinates
	regardless automaton tag type. This map is accessible with the
	geometry() method, from the automaton or its graph implementation.

	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx: Add a map to
	store geometric coordinates of states.
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hh: Add methods to
	access geometry map.

	* include/vaucanson/algorithms/product.hh,
	* include/vaucanson/algorithms/product.hxx: Update geometry system, and
	add an optionnal boolean argument to use geometry (default is false).

2005-05-13  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/z_fmp_transducer.hh: New. Add a context header for
	transducers seen as automata over a free monoid product, with
	multiplicity in Z semiring.

	* include/vaucanson/contexts/fmp_transducer_functions.thh,
	* include/vaucanson/contexts/fmp_transducer_functions.thxx: New. Add
	new_automaton() and make_couple() functions, to ease the creation of an
	automaton_t and a series_elt_t.
	* include/Makefile.am: Update.

	* include/vaucanson/fmp_transducer.hh: Include
	fmp_transducer_functions.thh file.

	* src/tests/context_headers/fmp_transducers/Makefile.am,
	* src/tests/context_headers/fmp_transducers/global_consistency_test.hh:
	New. Add a consistency test for fmp transducers context headers.
	* src/tests/context_headers/Makefile.am,
	* configure.ac: Update

	* src/tests/test-suites/context_headers_z_fmp_transducer.defs: New.
	Instantiate test on fmp transducers on Z semiring.
	* src/tests/test-suites/generate-all.sh: Update.

	* include/vaucanson/contexts/free_monoid_product.thh: Modify a wrong
	include.


2005-05-12  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/tools/dot_format.hxx: Enclose the
	automaton name with quotes and escape those which are
	in it, so as to avoid a bug that occured if it contained
	quotes.

2005-05-11  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx: Minor fixes
	according to coding style.

2005-05-11  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph_fast.hxx,
	* include/vaucanson/automata/implementation/graph_fast.hh: Rename to...
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx: ...These
	* include/Makefile.am: Update accordingly.
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/algebra/implementation/series/krat.hxx: Remove
	the selection between the two implementations of graph according
	to VCSN_FAST.

2005-05-11  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/implementation/graph.hh: Remove. These
	files have to be replaced by graph_fast.h{h,xx}.

2005-05-05  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_composition.hxx:
	Fix wrong structure used for "auto_structure" since it raised an
	assertion in Fibonacci demo.

2005-05-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/Makefile.am: Add `bencher.hh' and `bencher.hxx'.

2005-05-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/Makefile.am: Add `graph_fast.hh' and `graph_fast.hxx'.

2005-05-05  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/projection.hxx:
	Add input projection algorithm for transducers.

2005-05-03  Robert Bigaignon  <robert.bigaignon@lrde.epita.fr>

	* include/vaucanson/automata/concept/transducer.hh:
	Fix a bad typedef of the monoid for the output projection
	helper.
	Add a new helper for input projections.

2005-05-03  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Add
	#ifndef VCSN_NDEBUG to disable the letter-in-alphabet check if
	NDEBUG is set.

2005-05-03  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/tools/dot_format.hxx: Add std::string
	name that does not contain special characters, so as to
	avoid a dotty bug.
	name_ is now just used to show the automaton name to the user.

2005-04-30  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/series_multiplicity_transducers/Makefile.am:
	Fix bad filename.

2005-04-27  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/series_multiplicity_transducers/realtime:
	Remove.

2005-04-27  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	Change organization of the test suite, according to algorithms domain
	definition. This is the first part of the reorganization of the test
	suite, and no particular concerns are given to tests themselves. This
	patch should be completed with new tests, as it doesn't enable full
	tests on transducers.

	* src/tests/automata/algos/README: New file. Explains directory tree of
	algorithms tests.

	* configure.ac,
	* src/tests/Makefile.am,
	* src/tests/automata/algos/Makefile.am: Update.
	* src/tests/test-suites/generate-all.sh: Update with new algorithm
	tests organization.

	* src/tests/test-suites/boolean_transducer.defs: Add CREATE_SEMIRING
	macro to enable semiring creation for transducers. This macro is
	used when a test tries to instanciate a semiring_t, which must be
	parameterized with monoid and semiring, in case of boolean
	transducers.
	* src/tests/bin/generate-test-suite.sh: Add default
	CREATE_SEMIRING macro.
	* src/tests/automata/implementation_check/rdelta_test.hh: Use
	CREATE_SEMIRING macro for semiring creation.

	Transducers over P(B*):
	* src/tests/transducers/realtime_test.hh: Move to...
	* src/tests/automata/algos/series_multiplicity_transducers/realtime_trans_test.hh: ...this.
	* src/tests/automata/algos/extension_test.hh,
	* src/tests/transducers/realtime_test.hh: Move to...
	* src/tests/automata/algos/series_multiplicity_transducers:... this
	directory.
	* src/tests/automata/algos/series_multiplicity_transducers/Makefile.am:
	New file.
	* src/tests/transducers/Makefile.am,
	* src/tests/transducers: Delete.

	Free Monoid Product transducers:
	* src/tests/fmp_transducers/instantiation_test.hh: Move to...
	* src/tests/automata/algos/fmp_transducers/instantiation_test.hh:
	...this.
	* src/tests/automata/algos/fmp_transducers/Makefile.am: New file.
	* src/tests/fmp_transducers/Makefile.am,
	* src/tests/fmp_transducers: Delete.

	Boolean automata:
	* src/tests/automata/algos/complete_test.hh,
	* src/tests/automata/algos/berry_sethi_test.hh,
	* src/tests/automata/algos/minimization_test.hh,
	* src/tests/automata/algos/aci_canonical_test.hh,
	* src/tests/automata/algos/determinist_test.hh,
	* src/tests/boolean_automata/brzozowski_test.hh: Move to...
	* src/tests/automata/algos/boolean_automata: ...this directory.
	* src/tests/automata/algos/boolean_automata/Makefile.am: New file.
	* src/tests/boolean_automata/Makefile.am,
	* src/tests/boolean_automata: Delete.

	Graphs:
	* src/tests/automata/algos/trim_test.hh,
	* src/tests/automata/algos/extract_test.hh,
	* src/tests/automata/algos/accessible_test.hh,
	* src/tests/automata/algos/sub_automaton_test.hh,
	* src/tests/automata/algos/reachable_test.hh,
	* src/tests/automata/algos/graphs/sub_automaton_test.hh,
	* src/tests/automata/algos/trim_test.hh: Move to...
	* src/tests/automata/algos/graphs/: ...this directory, and use
	CREATE_SEMIRING macro where needed.
	* src/tests/automata/algos/graphs/Makefile.am: New file.

	Graph labeled on K<<A*>>:
	* src/tests/automata/algos/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/realtime_test.hh,
	* src/tests/automata/algos/generalized_test.hh: Move to...
	* src/tests/automata/algos/freemonoid_labeled_graphs: ...this
	directory.
	* src/tests/automata/algos/freemonoid_labeled_graphs/Makefile.am: New
	file.
	* src/tests/k_automata/Makefile.am,
	* src/tests/k_automata: Delete.

	Labeled graphs:
	* src/tests/automata/algos/elimination_test.hh,
	* src/tests/automata/algos/normalize_test.hh,
	* src/tests/automata/algos/is_isomorph_test.hh: Move to...
	* src/tests/automata/algos/labeled_graphs: ...this directory.
	* src/tests/automata/algos/labeled_graphs/Makefile.am: New file.

	Label aware labeled graphs:
	* src/tests/automata/algos/closure_test.hh,
	* src/tests/automata/algos/glushkov_test.hh,
	* src/tests/automata/algos/transpose_test.hh,
	* src/tests/automata/algos/thompson_test.hh,
	* src/tests/automata/algos/concat_test.hh,
	* src/tests/automata/algos/sum_test.hh,
	* src/tests/automata/algos/in_concat_test.hh: Move to...
	* src/tests/automata/algos/label_aware_graphs: ...this directory.
	* src/tests/automata/algos/standard_of_regression_test.hh: Move to...
	* src/tests/automata/algos/label_aware_graphs/standard_of_regression_test.hh:
	...this and fix to make the test work on boolean automata.
	* src/tests/automata/algos/label_aware_graphs/Makefile.am: New file.

	Graphs labeled with letter combination:
	* src/tests/automata/algos/product_test.hh,
	* src/tests/automata/algos/product_regression_test.hh,
	* src/tests/automata/algos/derivatives_automaton_test.hh,
	* src/tests/automata/algos/compute_test.hh: Move to...
	* src/tests/automata/algos/letter_combination_labeled_graphs: ...this
	directory.
	* src/tests/automata/algos/letter_combination_labeled_graphs/Makefile.am:
	New file.

2005-04-24  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contexts/automaton.thh: Remove the
	typedefs to hstate_t and hedge_t. They used to cause an ambiguity
	with source files that used both the vcsn and vcsn::*_automaton
	namespaces.
	* src/tests/fmp_transducers/instantiation_test.hh: Use namespace vcsn.

2005-04-22  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx: Add weight_of
	method, in the spirit of word_of method. Returns the weight of an edge
	for an automaton.

2005-04-21  Florent Terrones  <florent.terrones@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx: Change
	`SELECT' use to `s.monoid' or `s.semiring'.
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Add
	specialized version of `op_convert' for `FreeMonoidBase' and
	`std::basic_chars' to allow letter checking in edge adding.
	* src/tests/automata/implementation_check/coherence_state_edge_test.hh:
	Fix the selection of the letter that will be added as an edge.

2005-04-18  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Change `result_not_computable'
	visibility, set it defined the same way with or without VCSN_NDEBUG.

2005-04-18  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/contexts/contextual_automaton_functions.thh,
	* include/vaucanson/contexts/contextual_transducer_functions.thh,
	* include/vaucanson/contexts/contextual_automaton_functions.thxx,
	* include/vaucanson/contexts/contextual_transducer_functions.thxx:
	Move...
	* include/vaucanson/contexts/automaton_functions.thh,
	* include/vaucanson/contexts/transducer_functions.thh,
	* include/vaucanson/contexts/automaton_functions.thxx,
	* include/vaucanson/contexts/transducer_functions.thxx: ...Here.
	* include/Makefile.am,
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh: Update accordingly.


2005-04-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/context_headers/automata/global_consistency_test.hh:
	s/zero_as/vcsn::algebra::zero_as/.

2005-04-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contexts/free_monoid_product.thh: Fully
	qualify namespaces for FreeMonoidProduct and Element.
	* include/vaucanson/fmp_transducer.hh: Typos.
	* include/vaucanson/contexts/automaton.thh: Typedef
	vcsn::hstate_t and vcsn::hedge_t to hstate_t and hedge_t.

2005-04-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/Makefile.am (nobase_include_HEADERS): Update.

2005-04-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	src/tests/fmp_transducers/Makefile.am has no rules for check. So,
	I could not test this patch.

	* include/vaucanson/contexts/free_monoid_product.thh: New.
	* include/vaucanson/fmp_transducer.hh: Update. Use headers from
	include/contexts.

2005-04-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/Makefile.am (nobase_include_HEADERS): Update.

2005-04-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contexts/ratseries_semiring.thh,
	* include/vaucanson/contexts/transducer.thh,
	* include/vaucanson/contexts/polynom_series.thh: New.
	* include/vaucanson/contexts/generic_series.thh: Use
	polynom_series.thh.
	* include/vaucanson/contexts/automaton.thh: Use generalized_traits
	to define gen_automaton_t.
	* include/vaucanson/contexts/generic_automaton_impl.thh: Do not
	define gen_auto_t.
	* include/vaucanson/contexts/contextual_transducer_functions.thxx,
	* include/vaucanson/contexts/contextual_transducer_functions.thh:
	Enclose every definition and declaration in
	vcsn::VCSN_CONTEXT_NAMESPACE.
	* include/vaucanson/boolean_transducer.hh: Update. Use headers from
	contexts/.

2005-04-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contexts/contextual_headers.hh: Delete.
	* include/vaucanson/contexts/contextual_automaton_functions.thh:
	Include the files that were included by contextual_headers.hh.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/fmp_transducer.hh: Do not include
	contextual_headers.hh.

2005-04-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contextual_headers.hh,
	* include/vaucanson/contextual_automaton_functions.thh,
	* include/vaucanson/contextual_transducer_functions.thh,
	* include/vaucanson/contextual_automaton_functions.thxx,
	* include/vaucanson/contextual_transducer_functions.thxx: Move...
	* include/vaucanson/contexts/contextual_headers.hh,
	* include/vaucanson/contexts/contextual_automaton_functions.thh,
	* include/vaucanson/contexts/contextual_transducer_functions.thh,
	* include/vaucanson/contexts/contextual_automaton_functions.thxx,
	* include/vaucanson/contexts/contextual_transducer_functions.thxx:
	... Here.
	* include/vaucanson/fast.hh: Delete.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/contexts/contextual_automaton_functions.thh,
	* include/vaucanson/contexts/contextual_transducer_functions.thh,
	* include/vaucanson/fmp_transducer.hh,
	* include/Makefile.am: Update accordingly.

2005-04-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contexts/automaton.thh,
	* include/vaucanson/contexts/boolean_semiring.thh,
	* include/vaucanson/contexts/char_letter.thh,
	* include/vaucanson/contexts/dynamic_alphabet.thh,
	* include/vaucanson/contexts/free_monoid.thh,
	* include/vaucanson/contexts/generic_automaton_impl.thh,
	* include/vaucanson/contexts/generic_series.thh,
	* include/vaucanson/contexts/r_semiring.thh,
	* include/vaucanson/contexts/z_max_plus_semiring.thh,
	* include/vaucanson/contexts/z_min_plus_semiring.thh,
	* include/vaucanson/contexts/z_semiring.thh: Bless with the GPL header.
	* include/vaucanson/z_min_plus_automaton.hh: Fix copyright. Last
	patch has added years for free.

2005-04-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Break context headers in multiple headers.  This give more
	modularity to context headers. Thus, writing new context headers
	should be done by combining existing header templates.  So
	declaring context headers should be much easier.

	However, more work is needed to improve context headers for
	transducers. Also, this disables the trick with the fast
	implementation of graphs. This will be fixed soon. The full test
	suite has not been tested, but the demo programs compile and work
	correctly.

	* include/vaucanson/contexts/automaton.thh,
	* include/vaucanson/contexts/boolean_semiring.thh,
	* include/vaucanson/contexts/char_letter.thh,
	* include/vaucanson/contexts/dynamic_alphabet.thh,
	* include/vaucanson/contexts/free_monoid.thh,
	* include/vaucanson/contexts/generic_automaton_impl.thh,
	* include/vaucanson/contexts/generic_series.thh,
	* include/vaucanson/contexts/r_semiring.thh,
	* include/vaucanson/contexts/z_max_plus_semiring.thh,
	* include/vaucanson/contexts/z_min_plus_semiring.thh,
	* include/vaucanson/contexts/z_semiring.thh: New. Basic
	header templates for use with the context headers.
	* contextual_automaton_functions.thh,
	* contextual_automaton_functions.thxx: Define and declare everything
	in the vcsn::VCSN_CONTEXT_NAMESPACE namespace.
	* include/vaucanson/algebra/implementation/series/polynoms.hh
	(polynom): Typedef Tw and Tm to monoid_elt_value_t and
	semiring_elt_value_t.
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/boolean_automaton.hh
	* include/vaucanson/z_automaton.hh
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh: Update. Use headers
	in include/vaucanson/contexts.
	* include/vaucanson/contextual_headers.hh,
	* include/Makefile.am: Update.

	These fixes were necessary, because vcsn::*_automaton do not use
	namespaces vcsn and vcsn::algebra anymore, neither they use the
	various predefs.hh headers from
	include/vaucanson/algebra/implementation.

	* src/demos/vgrep/vgrep.cc (main): Use namespace vcsn.
	* src/demos/samples/algorithms/derivatives_automaton.cc (main):
	s/tools/vcsn::tools/.
	* include/vaucanson/xml/xml_automaton.hxx: Include
	vaucanson/algebra/implementation/predefs.hh.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/contextual_headers.hh: Include a different
	graph implementation according to the macro VCSN_FAST.
	* include/vaucanson/fast.hh: New. Add fast and unsure header which
	set VCSN_FAST macro and VCSN_NDEBUG.
	* include/vaucanson/automata/implementation/graph_fast.hxx,
	* include/vaucanson/automata/implementation/graph_fast.hh:
	New. Add a graph implementation which is lighter in term of
	security and faster than the original one.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/tools/bencher.hh,
	* include/vaucanson/tools/bencher.hxx: New. Add bencher utility.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/misc/support.hxx: Secure the `begin()' method
	for SparseInterval if `from_' is not the actual first element of
	the interval.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/implementation/automaton_view.hh,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hxx,
	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx: Delete
	useless `safe_del_state' graph's method.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Fix undefined macro
	`result_not_computable' in VCSN_NDEBUG mode.

2005-04-13  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/misc/deferrer.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/contract.hh: Change NDEBUG directives to
	VCSN_NDEBUG.
	* include/vaucanson/contextual_headers.hh: Set VCSN_NDEBUG if
	NDEBUG is set.

2005-04-12  Robert Bigaignon  <bigaig_r@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx: Add op_rout function to display	free monoid product Automata.

2005-03-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/vaucanswig/meta/context.hh,
	* src/demos/vaucanswig/meta/automaton.hh: Add macro
	AUTOMATON_FREEMONOID_TYPES* where needed.

2005-02-24  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/xml/test.src: Change standard error redirection method for
	the shell script.

2005-02-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>


	This patch includes a context header to be able to manipulate
	transducers seen as automata over a free monoid product.

	In order to make everything work, some commonly used macros (such
	as AUTOMATON_TYPES) have been modified, and some typedefs
	(letter_t, alphabet_t as undefined_type) have been added in the
	FreeMonoidProductBase class.

	* include/vaucanson/fmp_transducer.hh: New. Add a context header for
	transducers seen as automata over a free monoid product.
	* include/Makefile.am: Update.

	* src/tests/fmp_transducers/instantiation_test.hh,
	* src/tests/fmp_transducers/Makefile.am: New. Test the instantiation of
	transducers using fmp_transducer context header.
	* src/tests/Makefile.am,
	* configure.ac: Update.

	* src/tests/test-suites/fmp_transducer.defs: New. Instantiate a test
	on transducers seen as automata over a free monoid product.
	* src/tests/test-suites/generate-all.sh: Update.

	* include/vaucanson/algebra/concept/freemonoid_product_base.hh: Add
	typedefs to define letter_t and alphabet_t as undefined_type, in order
	to avoid problems due to the fact that we too often suppose that we are
	working on a free monoid.

	* include/vaucanson/tools/usual_macros.hh: Modify AUTOMATON_TYPES*
	macros to stop supposing we are working on a free monoid. Add
	AUTOMATON_FREEMONOID_TYPES* macros to do the typedefs removed in the
	previous macros.

	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/derivatives_automaton.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/berry_sethi.hxx,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/gen_book.hxx,
	* src/tests/k_automata/standard_of_regression_test.hh,
	* src/tests/xml/export_static.cc,
	* src/tests/xml/import_generic.cc,
	* src/tests/xml/import_session.cc,
	* src/tests/xml/import_dynamic.cc,
	* src/tests/xml/import_static.cc,
	* src/tests/boolean_automata/brzozowski_test.hh,
	* src/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/automata/algos/is_isomorph_test.hh,
	* src/tests/automata/algos/glushkov_test.hh,
	* src/tests/automata/algos/aci_canonical_test.hh,
	* src/tests/automata/algos/thompson_test.hh,
	* src/tests/automata/algos/complete_test.hh,
	* src/tests/automata/algos/trim_test.hh,
	* src/tests/automata/algos/compute_test.hh,
	* src/tests/automata/algos/derivatives_automaton_test.hh,
	* src/tests/automata/algos/transpose_test.hh,
	* src/tests/automata/algos/berry_sethi_test.hh,
	* src/tests/automata/algos/sub_automaton_test.hh,
	* src/tests/automata/algos/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/product_regression_test.hh: Update according
	to changes made in usual_macros.hh.

2005-02-16  Raphael Poss  <raph@lrde.epita.fr>

	* reheader.pl: Do not add copyright information for another year
	than the current year.

2005-02-06  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* config/xml.m4: Rename to...
	* config/vaucanson_xml.m4: ...this.
	* Makefile.am: Update accordingly.

2005-02-05  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx: Minor
	fix to make the code compile with GCC 3.4.

2005-02-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/eval.hxx: Fix new overloaded
	version of eval().
	* src/tests/automata/algos/product_test.hh: Correct according to
	Vaucanson Coding Style.

2005-02-05  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* vcs,
	* vcs/vaucanson.rb: New. Add VCS configuration file.

2005-02-04  Michaël Cadilhac  <michael.cadilhac@lrde.epita.fr>

	* include/vaucanson/algorithms/eval.hh,
	* include/vaucanson/algorithms/eval.hxx: Add an overloaded version
	of eval().
	* src/tests/automata/algos/product_test.hh: Change eval() calls to
	the new one.

2005-02-04  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* Merge FMP branch into trunk (See 11 previous Changelog entries).

	2005-02-01  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* Merge trunk into FMP branch

	2005-01-28  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx: Modify the prototype of op_length in order to
	be able to specialize the concept.
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx: Update
	accordingly.

	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/functors.hxx: Add a new functor, the "length
	discrepancy".

	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh:
	Update accordingly.

	2005-01-22  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	Add MetaElement<FreeMonoidProduct<S>, T>::length(), that takes a
	functor as an argument.

	* include/vaucanson/algebra/concept/freemonoid_product_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx: Add
	the length() method.
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx: Add the op_length() function.

	* include/vaucanson/misc/functors.hh,
	* include/vaucanson/misc/functors.hxx: New. Enable creation of new
	functors.
	* include/Makefile.am: Update accordingly.

	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh:
	Update test.

	2005-01-21  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx:
	Modify MetaElement methods first() and second() to delegate the work
	to op_* functions op_first and op_second.
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx: Add op_first and op_second functions.

	2005-01-21  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* configure.ac: Generate src/tests/algebra/free_monoid_product/Makefile
	and src/tests/context_headers/transducers/Makefile.

	2005-01-21  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algebra/algebra.hh: Add reference to
	FreeMonoidProduct in Doxygen documentation.

	2005-01-21  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/Makefile.am: Correct typo.

	2004-06-01  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algebra/concept/freemonoid_product_base.hh,
	* include/vaucanson/algebra/concept/freemonoid_product_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_product.hh,
	* include/vaucanson/algebra/concept/freemonoid_product.hxx: New. Add
	the concept of free monoid product to Vaucanson.

	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hh,
	* include/vaucanson/algebra/implementation/free_monoid_product/freemonoid_product_pair_str.hxx: New. Implementation of free monoid product with a pair
	of strings.

	* include/Makefile.am: Update accordingly.

	* src/tests/algebra/free_monoid_product/free_monoid_product_test.hh:
	New. Write a test on free monoid product.
	* src/tests/algebra/free_monoid_product/Makefile.am: New. Update.
	* src/tests/algebra/Makefile.am: Update accordingly.

	* src/tests/test-suites/algebra_free_monoid_product_string.defs: New.
	Instantiate a test on free monoid product.
	* src/tests/test-suites/generate-all.sh: Update accordingly.

	2004-06-01  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* fmp: Apply changes done in trunk to the fmp branch. See the two
	previous Changelog entries.

	2004-05-26  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/concat_test.hh: Fix the test so it checks
	multiplicity correctness.

	2004-05-24  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/contextual_automaton_functions.hh,
	* include/vaucanson/contextual_transducer_functions.hh:
	Rename to...
	* include/vaucanson/contextual_automaton_functions.thh,
	* include/vaucanson/contextual_transducer_functions.thh: These.
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh: Update accordingly.

2005-01-19  Raphael Poss  <raph@lrde.epita.fr>

	* FAQ: Remove in favor of doc/FAQ.txt.

2005-01-19  Raphael Poss  <raph@lrde.epita.fr>

	* README: Refer to the doc/ subdirectory.

	* NEWS: Rewrite to...
	* doc/NEWS.txt: ...this. Prepare section for next release.

	* doc/Makefile.am: Generate HTML and PDF for NEWS.

2005-01-18  Raphael Poss  <raph@lrde.epita.fr>

	Fix a compiler warning introduced on 2005-01-14 (SetSlot
	optimization). Simplify.

	* include/vaucanson/design_pattern/element.hxx: Simplify call to
	base constructor.
	* include/vaucanson/algebra/implementation/series/series.hxx:
	Likewise.

	* include/vaucanson/design_pattern/element.hxx: Prepend call to
	member of base class with "this->" since G++ 3.4 whines about it.
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/transducer.hxx: Likewise.

2005-01-18  Raphael Poss  <raph@lrde.epita.fr>

	* reheader.pl: Add 2005 to copyright appends.

	* Makefile.am: Mention forgotten xml.m4 in the installable m4
	extensions. Remove EXTRA_DIST since the dist_m4data_DATA already
	mentions the files.

2005-01-18  Raphael Poss  <raph@lrde.epita.fr>

	Document some more.

	* doc/FAQ.txt: Document a hidden misfeature of the expression
	parser (a 2*).
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh:
	Fix minor typo.

	* src/demos/vaucanswig/doc/build-process.txt: Rewrite in
	reStructured Text format. Clarify documentation.
	* src/demos/vaucanswig/doc/meta-build-process.txt: Likewise.
	* src/demos/vaucanswig/doc/Makefile.am: Generate HTML and PDF
	output for build-process.txt and meta-build-process.txt.

2005-01-18  Raphael Poss  <raph@lrde.epita.fr>

	Allow for distribution of the whole test suite. Before this patch,
	tar choked on filenames longer than 99 characters, and source
	names in the test suites are longer than that. Note that this
	patch requires GNU Automake >=1.9.

	* configure.ac: Use Automake option 'tar-ustar' for more potent
	use of tar during distribution.

2005-01-16  Raphael Poss  <raph@lrde.epita.fr>

	Update documentation.

	* doc/README.txt: Fix some mistakes. Add a "See Also" section.

	* src/demos/fsm/README: Rewrite to...
	* src/demos/fsm/README.txt: ...this.

	* src/demos/vaucanswig/doc,
	* src/demos/vaucanswig/doc/Makefile.am: New directory.
	* src/demos/vaucanswig/Makefile.am: Update accordingly.

	* src/demos/vaucanswig/README: Rewrite to...
	* src/demos/vaucanswig/doc/README.txt: ...this. Fix some
	mistakes. Add more information. Change the layout for easier
	reading.

	* src/demos/vaucanswig/build-process.txt,
	* src/demos/vaucanswig/meta-build-process.txt: Rename to...
	* src/demos/vaucanswig/doc/build-process.txt,
	* src/demos/vaucanswig/doc/meta-build-process.txt: ...these.

	* src/demos/vaucanswig/doc/Makefile.am: Build documentation.

	* src/demos/vaucanswig/Makefile.am: Distribute expand.sh, since it
	is mentioned in the documentation.

2005-01-15  Raphael Poss  <raph@lrde.epita.fr>

	Cleanup documentation subsystem. Use reStructured Text more.

	* doc/xml/Makefile.am,
	* doc/beginner/Makefile.am,
	* doc/Makefile.am: Factor common code to...
	* doc/Makefile.doc: ...this file.

	* configure.ac: Also configure for RST2HTML.

	* README,
	* FAQ,
	* INSTALL: Rewrite to...
	* doc/README.txt,
	* doc/FAQ.txt,
	* doc/INSTALL.txt: ...these. Do not remove the originals yet.

	* doc/Makefile.am: Also generate HTML output.
	* doc/xml/Makefile.am: Likewise. Drop DVI output.

	* doc/beginner/Makefile.am: Simplify.

	* HEADER: Get rid of obsolete file.

2005-01-15  Raphael Poss  <raph@lrde.epita.fr>

	Get rid of the dependency on sgml2latex, which comes from
	a huge, obsolete, non-portable and broken package.

	Use reStructured Text from Docutils instead.
	See: http://docutils.sourceforge.net/rst.html

	* doc/xml/dev.sgml: Rewrite to...
	* doc/xml/dev.txt: ...this. Fix (some) mistakes.
	* doc/xml/format.sgml: Rewrite to...
	* doc/xml/format.txt: ...this. Fix (some) mistakes.

	* doc/xml/Makefile.am: Update accordingly. Cleanup.

	* configure.ac: Configure for RST2TEX. Remove configuration for
	SGML2TEX.

	* doc/beginner/Makefile.am,
	* doc/tutorial/Makefile.am: Use properly Autoconf expansions.

2005-01-15  Raphael Poss  <raph@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Take care of stripping
	extraneous '/' before header names to test.

2005-01-15  Raphael Poss  <raph@lrde.epita.fr>

	Sanitize the behavior of Xerces-C++ configuration.

	* config/xml.m4: Change help messages. Use the Autoconf variable
	cache. Test for availability of the Xerces-C++ library beside the
	headers. Append detected values to standard variables.

	* Makefile.am: Make configure depend on config/xml.m4.

	* src/tests/sanity/generate_files.sh,
	* src/tests/xml/Makefile.am,
	* src/demos/xml/samples/Makefile.am,
	* src/demos/xml/Makefile.am: Update accordingly.

2005-01-14  Raphael Poss  <raph@lrde.epita.fr>

	Optimize according to advice given by Thomas Claveirole
	<thomas.claveirole@lrde.epita.fr> in
	<b5866f93050114064454fb67b9@mail.gmail.com>: Use SetSlot<> by
	derivation instead of composition. Inherit SetSlot<> as a private
	base class so that it does not interfere with the selection of
	template specializations of operators.

	* include/vaucanson/design_pattern/slots.hh: Prefix methods with
	_structure_ so that they do not collide with MetaElement methods
	when inherited by Element. Allow tagging SetSlot<S> classes for
	unambiguous multiple inheritance.
	* include/vaucanson/design_pattern/slots.hxx: Modify accordingly.

	* include/vaucanson/design_pattern/predecls.hh: Use a default
	type for the SetSlot tag argument.

	* include/vaucanson/design_pattern/element.hh: Remove the
	structure_ attribute. Inherit from SetSlot<S> instead.
	* include/vaucanson/design_pattern/element.hxx: Modify
	accordingly.

	* include/vaucanson/algebra/implementation/series/series.hh:
	Remove the semiring_ and monoid_ attributes. Inherit from
	SetSlot<Semiring,semiring_slot_tag> and
	SetSlot<Monoid,monoid_slot_tag> instead.

	* include/vaucanson/algebra/implementation/series/series.hxx:
	Modify accordingly.

	* include/vaucanson/automata/concept/automata.hh,
	* include/Vaucanson/automata/concept/tranducer.hh: Remove the
	series_ attribute. Inherit from SetSlot<Series> instead.

	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/transducer.hxx: Modify
	accordingly.

	* src/tests/design_pattern/intrinsics_size.cc,
	* src/tests/design_pattern/Makefile.am: Add new test for this
	optimization.

2004-12-03  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx:
	Do not handle character escaping directly. Remove memory leaks by
	registering callback in streams. Move iomanip and escaped characters
	handling in the following files.
	* include/vaucanson/misc/iomanip.hh,
	* include/vaucanson/misc/iomanip.hxx: New. Base class for
	IO manipulators and related functions. Mostly comes from
	dump_visitor.hh and dump_visitor.hxx.
	* include/vaucanson/misc/escaper.hh,
	* include/vaucanson/misc/escaper.hxx: New. Stuff related with character
	escaping. Mostly comes from dump_visitor.hh and dump_visitor.hxx.
	* include/Makefile.am: Update.
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx: Use
	utility::escaper.
	* include/vaucanson/tools/usual_escaped_characters.hh: Add comments.

2004-12-01  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Another bug from Petr Ambroz. See below for more information.

	* include/vaucanson/algebra/implementation/series/polynoms.hxx:
	Do not get iterators on strings returned by the str() method of
	std::ostringstream, that is not safe.

2004-12-01  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Fix the bug reported by Petr Ambroz <ampy@liafa.jussieu.fr> in
	<mailman.103.1101739592.787.vaucanson-bugs@lrde.epita.fr>. It was
	due to a loop which used iterators on strings constructed by an
	std::ostringstream. In fact, nothing guarantees that two
	consecutive calls to the str() method will return a string with
	the same storage. Although correct with many versions of GCC, it
	does not work with GCC 3.4.2.

	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx:
	Do not get iterators on strings returned by the str() method of
	std::ostringstream, that is not safe.

2004-11-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/contextual_automaton_functions.thh,
	* include/vaucanson/contextual_transducer_functions.thh,
	* include/vaucanson/contextual_automaton_functions.thxx,
	* include/vaucanson/contextual_transducer_functions.thxx: Manually fix
	typo for Sylvain's email.

2004-10-26  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* configure.ac: Bump to Vaucanson 0.6.1.
	* NEWS: Set the date for 0.6.1.

2004-10-26  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/xml/samples/Makefile.am: Fix dependencies and build rules
	for the generated XML samples.

2004-10-19  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hxx (del_edge,
	del_state): Remove useless tests when shrinking the states/edges
	vector. Fix assertions. Make assertions more uniform.

2004-10-18  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Minor fixes.

2004-10-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/vaucanswig/expand.sh: Swig use -noruntime instead of -c.

2004-10-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Apply the patch proposed by  Nicolas Stroppa in vaucanson-patches:
	Message-ID: <mailman.48.1097855753.6231.vaucanson@lrde.epita.fr>

	* include/vaucanson/automata/implementation/graph.hxx (del_state): Fix
	invalid assertions.

2004-10-16  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Update.

2004-10-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* README: Typo.

2004-10-13  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* config/vcsn.m4: Add documentation about ICC flags.

2004-10-13  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* NEWS: Typo.

2004-10-13  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* config/vcsn.m4: Set decent warning flags when ICC is used.

2004-10-12  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/sanity/generate_files.sh: Generate a test_base.cc which is
	valid both for g++ and ICC.

2004-10-12  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/vaucanson.hh: Typo.
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/xml/types.hh:
	Fix Doxygen grouping.
	* include/vaucanson/xml/xml_set.hh: Fix the @param in the XmlStructure
	constructor documentation.
	* include/vaucanson/algebra/algebra.hh: Fix Doxygen links.
	* include/vaucanson/xml/dynamic.hh,
	* include/vaucanson/xml/session.hxx: s/vaucanson/Vaucanson/ in
	comments.
	* include/vaucanson/algorithms/evaluation.hh: Fix a Doxygen link.
	Remove internal functions from the documentation.

2004-10-12  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* README: Update.

2004-10-12  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/letter/couple_letter.hh: Use
	INT_MAX instead of unsigned (-1).

2004-10-11  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* NEWS: Add an entry about replacement of verbalize by expand.

2004-10-11  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh: Complete
	with tests on stared expressions.

2004-10-11  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* include/Makefile.am: Remove krat_exp_verbalization entries.
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hh: Delete.
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hxx: Delete.
	* src/tests/algebra/series/krat/main/krat_exp_verbalization_test.hh:
	Move to...
	* src/tests/algebra/series/krat/main/krat_exp_expand_test.hh: ...this.
	* src/tests/algebra/series/krat/main/Makefile.am: Replace
	krat_exp_verbalization_test by krat_exp_expand_test.
	* ChangeLog: Complete old comments.

2004-10-08  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Be compatible with g++ 3.2, 3.3, 3.4 and ICC 8.1.

	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx:
	Include sstream.
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx:
	Include vaucanson/misc/contract.hh.
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx:
	Include algorithm.
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx:
	Fix an ambiguity with krat_exp_lexing::dot.
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx:
	Specialize std::numeric_limits and utility::limits for
	RationalNumber.
	* include/vaucanson/xml/xml_loader.hxx: Do not include
	design_pattern/element.hh. Include vaucanson/xml_set.hh,
	vaucanson/xml_value.hh, vaucanson/xml_automaton.hh and sstream.
	* include/vaucanson/tools/dot_format.hh: Include iostream.
	* include/vaucanson/tools/dot_format.hxx: Include sstream.
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx: Fix
	a constructor call.
	* include/vaucanson/automata/concept/history.hxx: Fix the invalid
	use of iterators.
	* include/vaucanson/automata/concept/kinds.hxx: Include
	vaucanson/tools/container_ops.hh. Use identity_as instead of
	identity_value. Change invalid calls to algebra::op_begin into
	calls to op_begin.
	* src/tests/design_pattern/intrinsics.hh: Specify this-> for
	attributes.

2004-10-06  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* configure.ac: Minor update.

2004-10-06  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* README: Update.

2004-10-04  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* configure.ac: Disable Vaucanswig by default.

2004-09-30  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* reheader.pl: s/represents/consists of/, s/@iafa/@liafa/.
	* include/vaucanson/contextual_headers.hh,
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/standard_algorithms.hh,
	* include/vaucanson/misc/support.hxx,
	* include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/random.hxx,
	* include/vaucanson/misc/bitset.hh,
	* include/vaucanson/misc/deferrer.hh,
	* include/vaucanson/misc/limits.hh,
	* include/vaucanson/misc/bitset.hxx,
	* include/vaucanson/misc/utility.hh,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/contract.hh,
	* include/vaucanson/misc/unique.hxx,
	* include/vaucanson/misc/window.hxx,
	* include/vaucanson/misc/random.hh,
	* include/vaucanson/vaucanson.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/range.hxx,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hh,
	* include/vaucanson/algebra/implementation/letter/char_letter.hh,
	* include/vaucanson/algebra/implementation/letter/range.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/alphabets.hh,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/implementation/free_monoid/words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	* include/vaucanson/algebra/implementation/predefs.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hxx,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hxx,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/algebra.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/xml/xml_ops.hh,
	* include/vaucanson/xml/xml_set.hxx,
	* include/vaucanson/xml/session.hh,
	* include/vaucanson/xml/dynamic.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/xml_loader.hh,
	* include/vaucanson/xml/static.hh,
	* include/vaucanson/xml/xml_automaton.hh,
	* include/vaucanson/xml/if_tag.hh,
	* include/vaucanson/xml/xml_ops.hxx,
	* include/vaucanson/xml/strings.hh,
	* include/vaucanson/xml/ios.hh,
	* include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/xml_value.hh,
	* include/vaucanson/xml/callback.hh,
	* include/vaucanson/xml/error_handler.hxx,
	* include/vaucanson/xml/xml_loader.hxx,
	* include/vaucanson/xml/xml_automaton.hxx,
	* include/vaucanson/xml/strings.hxx,
	* include/vaucanson/xml/if_tag.hxx,
	* include/vaucanson/xml/ios.hxx,
	* include/vaucanson/xml/callback.hxx,
	* include/vaucanson/xml/types.hh,
	* include/vaucanson/xml/xml_value.hxx,
	* include/vaucanson/xml/defaults.hh,
	* include/vaucanson/xml/xml_set.hh,
	* include/vaucanson/xml/errors.hh,
	* include/vaucanson/xml/generic.hh,
	* include/vaucanson/xml/infos.hh,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/dot_dump.hxx,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/dot_display.hxx,
	* include/vaucanson/tools/usual_escaped_characters.hxx,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/usual_io.hxx,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/usual_macros.hh,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/container_ops.hh,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/tools/dot_dump.hh,
	* include/vaucanson/tools/container_ops.hxx,
	* include/vaucanson/tools/dot_display.hh,
	* include/vaucanson/tools/usual_escaped_characters.hh,
	* include/vaucanson/tools/io.hxx,
	* include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/config/system.hh,
	* include/vaucanson/config/math.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/predecls.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/default_ops.hh,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/element_ops.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/element_op_traits.hh,
	* include/vaucanson/design_pattern/default_ops.hxx,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/realtime_decl.hh,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/accessible.hh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx,
	* include/vaucanson/algorithms/krat_exp_cderivation.hh,
	* include/vaucanson/algorithms/sum.hh,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/is_letterized.hh,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/extension.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/sub_automaton.hh,
	* include/vaucanson/algorithms/brzozowski.hh,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/closure.hxx,
	* include/vaucanson/algorithms/derivatives_automaton.hxx,
	* include/vaucanson/algorithms/standard_of.hh,
	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	* include/vaucanson/algorithms/eval.hh,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx,
	* include/vaucanson/algorithms/is_normalized.hh,
	* include/vaucanson/algorithms/backward_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_derivation.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/minimization_hopcroft.hh,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/derivatives_automaton.hh,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hh,
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hh,
	* include/vaucanson/algorithms/thompson.hxx,
	* include/vaucanson/algorithms/minimization_moore.hxx,
	* include/vaucanson/algorithms/product.hh,
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/determinize.hxx,
	* include/vaucanson/algorithms/berry_sethi.hxx,
	* include/vaucanson/algorithms/concatenate.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hh,
	* include/vaucanson/algorithms/complement.hh,
	* include/vaucanson/algorithms/search.hh,
	* include/vaucanson/algorithms/standard.hxx,
	* include/vaucanson/algorithms/isomorph.hxx,
	* include/vaucanson/algorithms/minimization_moore.hh,
	* include/vaucanson/algorithms/trim.hh,
	* include/vaucanson/algorithms/normalized.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hh,
	* include/vaucanson/algorithms/search.hxx,
	* include/vaucanson/algorithms/krat_exp_constant_term.hh,
	* include/vaucanson/algorithms/transpose.hh,
	* include/vaucanson/algorithms/complete.hxx,
	* include/vaucanson/algorithms/projection.hxx,
	* include/vaucanson/algorithms/concatenate.hh,
	* include/vaucanson/algorithms/krat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/forward_realtime.hh,
	* include/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/algorithms/is_realtime.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hh,
	* include/vaucanson/algorithms/eval.hxx,
	* include/vaucanson/algorithms/standard.hh,
	* include/vaucanson/algorithms/isomorph.hh,
	* include/vaucanson/algorithms/realtime.hh,
	* include/vaucanson/algorithms/aci_canonical.hh,
	* include/vaucanson/algorithms/normalized.hh,
	* include/vaucanson/algorithms/is_realtime.hxx,
	* include/vaucanson/algorithms/thompson.hh,
	* include/vaucanson/algorithms/aut_to_exp.hh,
	* include/vaucanson/algorithms/is_normalized.hxx,
	* include/vaucanson/algorithms/evaluation.hh,
	* include/vaucanson/algorithms/complete.hh,
	* include/vaucanson/algorithms/krat_exp_cderivation.hxx,
	* include/vaucanson/algorithms/sum.hxx,
	* include/vaucanson/algorithms/projection.hh,
	* include/vaucanson/algorithms/determinize.hh,
	* include/vaucanson/algorithms/berry_sethi.hh,
	* include/vaucanson/automata/implementation/generalized.hxx,
	* include/vaucanson/automata/implementation/automaton_view.hh,
	* include/vaucanson/automata/implementation/graph.hh,
	* include/vaucanson/automata/implementation/kind_adapter.hh,
	* include/vaucanson/automata/implementation/transpose_view.hh,
	* include/vaucanson/automata/implementation/graph.hxx,
	* include/vaucanson/automata/implementation/automaton_view.hxx,
	* include/vaucanson/automata/implementation/generalized.hh,
	* include/vaucanson/automata/implementation/kind_adapter.hxx,
	* include/vaucanson/automata/implementation/transpose_view.hxx,
	* include/vaucanson/automata/concept/copy.hxx,
	* include/vaucanson/automata/concept/transducer.hxx,
	* include/vaucanson/automata/concept/automata.hxx,
	* include/vaucanson/automata/concept/transducer_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/translate.hh,
	* include/vaucanson/automata/concept/tags.hh,
	* include/vaucanson/automata/concept/delta_kind.hh,
	* include/vaucanson/automata/concept/handlers.hh,
	* include/vaucanson/automata/concept/history.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx,
	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/translate.hxx,
	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/tags.hxx,
	* include/vaucanson/automata/concept/handlers.hxx,
	* include/vaucanson/automata/concept/kinds.hh,
	* include/vaucanson/automata/concept/history.hxx,
	* include/vaucanson/automata/concept/copy.hh,
	* include/vaucanson/automata/concept/transducer.hh,
	* include/vaucanson/automata/concept/automata.hh,
	* include/vaucanson/automata/concept/transducer_base.hxx,
	* include/vaucanson/automata/concept/automata_base.hxx,
	* include/vaucanson/automata/concept/kinds.hxx,
	* include/vaucanson/automata/concept/automata_kind.hh,
	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/context_headers/transducers/global_consistency_test.hh,
	* src/tests/k_automata/standard_of_regression_test.hh,
	* src/tests/design_pattern/design_pattern-test.hh,
	* src/tests/design_pattern/intrinsics.hh,
	* src/tests/boolean_automata/brzozowski_test.hh,
	* src/tests/automata/implementation_check/add_state_test.hh,
	* src/tests/automata/implementation_check/rdelta_test.hh,
	* src/tests/automata/implementation_check/add_edge_test.hh,
	* src/tests/automata/implementation_check/init_final_test.hh,
	* src/tests/automata/implementation_check/coherence_state_edge_test.hh,
	* src/tests/automata/implementation_check/global_consistency_test.hh,
	* src/tests/automata/algos/determinist_test.hh,
	* src/tests/automata/algos/generalized_test.hh,
	* src/tests/automata/algos/is_isomorph_test.hh,
	* src/tests/automata/algos/accessible_test.hh,
	* src/tests/automata/algos/in_concat_test.hh,
	* src/tests/automata/algos/normalize_test.hh,
	* src/tests/automata/algos/realtime_test.hh,
	* src/tests/automata/algos/glushkov_test.hh,
	* src/tests/automata/algos/aci_canonical_test.hh,
	* src/tests/automata/algos/sum_test.hh,
	* src/tests/automata/algos/reachable_test.hh,
	* src/tests/automata/algos/thompson_test.hh,
	* src/tests/automata/algos/concat_test.hh,
	* src/tests/automata/algos/minimization_test.hh,
	* src/tests/automata/algos/complete_test.hh,
	* src/tests/automata/algos/elimination_test.hh,
	* src/tests/automata/algos/extract_test.hh,
	* src/tests/automata/algos/trim_test.hh,
	* src/tests/automata/algos/closure_test.hh,
	* src/tests/automata/algos/compute_test.hh,
	* src/tests/automata/algos/derivatives_automaton_test.hh,
	* src/tests/automata/algos/extension_test.hh,
	* src/tests/automata/algos/transpose_test.hh,
	* src/tests/automata/algos/berry_sethi_test.hh,
	* src/tests/automata/algos/product_test.hh,
	* src/tests/automata/algos/sub_automaton_test.hh,
	* src/tests/automata/algos/krat_exp_realtime_conflict_test.hh,
	* src/tests/automata/algos/product_regression_test.hh,
	* src/tests/transducers/realtime_test.hh,
	* src/tests/algebra/alphabets/alphabet_torture_test.hh,
	* src/tests/algebra/alphabets/alphabet_test.hh,
	* src/tests/algebra/free_monoid/free_monoid_test.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments_failcomp.hh,
	* src/tests/algebra/free_monoid/constructor_without_arguments2_failcomp.hh,
	* src/tests/algebra/series/krat/boolean/krat_exp_cderivation_linear_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_verbalization_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_flatten_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_constant_term_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_realtime_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_aci_canonical_test.hh,
	* src/tests/algebra/series/krat/main/krat_exp_derivation_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_common.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/partial_derivation/krat_exp_partial_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/derivation/krat_exp_derivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_letter_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_zero_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_product_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_sum_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_identity_test.hh,
	* src/tests/algebra/series/krat/derivations/cderivation/krat_exp_cderivation_star_test.hh,
	* src/tests/algebra/series/krat/derivations/derivations_common.hh,
	* src/tests/algebra/series/misc/series_test.hh,
	* src/tests/algebra/series/polynom/series_polynom_test.hh,
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh,
	* src/tests/algebra/semiring/semiring_test.hh,
	* src/tests/check/tester.hh,
	* src/demos/fsm/usual_automaton_t/toolbox.hh,
	* src/demos/fsm/usual_automaton_t/arg.hh,
	* src/demos/fsm/arg.hh,
	* src/demos/vaucanswig/meta/context.hh,
	* src/demos/vaucanswig/meta/automaton.hh,
	* src/demos/vaucanswig/meta/vcontext.hh,
	* src/demos/vaucanswig/meta/vauto.hh: Update headers.

2004-09-08  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/xml/algorithms.cc: Improve. Minor fix in comments. Factor.
	Use an array of pointer to functions for command handling. Allow the
	user to specify a state list for the state elimination algorithm.

2004-09-08  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	This  change creates a  src/demos/xml/samples directory,  in which
	sample XML files may be found. Programs that generate XML automata
	are also included.  Those samples  have been designed for the CIAA
	2004 conference.

	* src/demos/xml/samples/lomb2.cc, src/demos/xml/samples/c1.cc,
	* src/demos/xml/samples/occ_b.cc, src/demos/xml/samples/double_ring.cc,
	* src/demos/xml/samples/divkbaseb.cc, src/demos/xml/samples/lomb1.cc:
	New. Sources to generate XML sample files.
	* src/demos/xml/samples/div3base2.xml, src/demos/xml/samples/c1.xml,
	* src/demos/xml/samples/occ_b.xml, src/demos/xml/samples/lomb1.xml,
	* src/demos/xml/samples/lomb2.xml,
	* src/demos/xml/samples/double_ring6.xml: New. Sample automata.
	* src/demos/xml/samples/Makefile.am: New.
	* src/demos/xml/Makefile.am, configure.ac: Update.

2004-09-06  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	This change  updates algorithms.cc according  to the modifications
	that have been done at CIAA 2004 for demonstrations. The universal
	automaton  computation  algorithm, however,  has  not been  added,
	since  no generic  algorithm  exists  in Vaucanson  to  do such  a
	computation.

	* src/demos/xml/Makefile.am: Compile algorithms.cc for various
	contexts.
	* src/demos/xml/algorithms.cc: Update. Add transpose and eval to
	the list of algorithms.

2004-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/algebra/series/krat/main/krat_exp_linearize_structure_test.hh:
	Remove useless inclusion to check/tester.hh. Clean comments. Use
	const references instead of values for operator <<. Simplify the
	test loop.

2004-09-05  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx:
	Use enum constants from Node<Word, Weight> to identify node types,
	instead of duplicating the enumeration.

2004-08-25  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Fix  some  compilation  errors   with  ICC.   The  compilation  of
	Vaucanswig has  not been tested,  neither has the test  suite. But
	`make' works correctly.

	* include/vaucanson/misc/unique.hh, include/vaucanson/misc/unique.hxx:
	Do not use the preprocessor to declare ti_slot, unique_map and
	uniquelist_base. Use typedef instead.
	* include/vaucanson/misc/deferrer.hxx: Use memset() instead of bzero().
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx:
	Fix ambiguous references to plus.
	* include/vaucanson/automata/concept/transducer_base.hh: Remove a
	superfluous typedef.

2004-08-24  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Make Vaucanson compile correctly with g++ version 3.4.

	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* inclsrc/demos/xml/rt_tdc_algorithms.ccude/vaucanson/algorithms/brzozowski.hxx,
	* include/vaucanson/automata/concept/transducer_base.hxx,
	* include/vaucanson/automata/concept/automata_base.hxx: Add missing
	this->.
	* include/vaucanson/misc/contract.hh (static_error): Forward declare
	the error message (which should be a class).
	* include/vaucanson/algebra/implementation/letter/range.hxx: Use
	correct headers (cmath and cstdlib).
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx: Do
	not use dynamic computed values for enums. Use basic_string<...>, not
	string<...> (which anyway is wrong).
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx:
	Fix constructor of Value<T>::Value(const Value& v): the v_ attribute is
	initialized with v.v_, not v.
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx: Typo.
	* include/vaucanson/algebra/concept/semiring_base.hxx: Include sstream,
	not iostream.
	* include/vaucanson/tools/io.hh, include/vaucanson/tools/io.hxx: Typo.
	* include/vaucanson/design_pattern/element_ops.hxx: Fix namespace in
	the calls of op_swap.
	* include/vaucanson/design_pattern/default_ops.hxx: Use static_error,
	not static_error_.
	* include/vaucanson/algorithms/aut_to_exp.hxx,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Fix an unused
	argument warning.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx: Remove
	superfluous typenames. Add missing template keywords.
	* include/vaucanson/algorithms/derivatives_automaton.hxx: Typo. Add
	a missing this->.
	* include/vaucanson/algorithms/product.hxx: Minor fix in a comment.
	* include/vaucanson/algorithms/isomorph.hxx: Set the right declaration
	order for internal functions.

2004-07-28  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/fibonacci/one_rewriting_rule.cc: Rename as...
	* src/demos/fibonacci/one_rule_rewriting.cc: ... This.
	* src/demos/fibonacci/Makefile.am: Update.

2004-07-21  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
	Remove expressions with a weight of zero.

2004-07-21  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* src/demos/samples/algorithms/derivatives_automaton.cc: Use dot_display
	instead of dot_dump.

2004-07-18  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* configure.ac: Bump to Vaucanson 0.6.
	* NEWS: Set the date for 0.6.

2004-07-17  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Fix standard_of algorithm problem with star.

	* include/vaucanson/algorithms/standard.hxx: Fix the star of standard
	automaton.

	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hh: Add
	op_in_star for polynoms. Needed in standard_of.

	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/automata/algos/glushkov_test.hh: Update accordingly.

2004-07-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/fibonacci/generalized.cc: Rename as...
	* src/demos/fibonacci/one_rewriting_rule.cc: ...This.
	* src/demos/fibonacci/Makefile.am: Update.

2004-07-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* xml/gendtd.sh: <edge> and <edges> tag are now <transition> and
	<transitions>.
	* include/vaucanson/xml/xml_ops.hxx, include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/xml_automaton.hxx: s/str_edge/str_transition/.
	* src/tests/xml/session.xml, src/tests/xml/transcoder.xml,
	* src/tests/xml/numerical.xml,
	* src/tests/xml/export_session-simple.xml.ref,
	* src/tests/xml/export_dynamic-simple.xml.ref,
	* src/tests/xml/simple.xml,
	* src/tests/xml/export_session-session.xml.ref,
	* src/tests/xml/export_static-simple.xml.ref,
	* src/tests/xml/nodata-session.xml.ref, src/tests/xml/float.xml,
	* src/tests/xml/tropical.xml,
	* src/tests/xml/export_dynamic-session.xml.ref,
	* src/tests/xml/export_static-session.xml.ref,
	* src/tests/xml/nodata-simple.xml.ref: Adjust.

2004-07-17  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/tools/fsm_dump.hxx: Minor fix in variable names.

2004-07-17  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/xml/static_boolean.cc: Build a simpler automaton as
	example. Fix the filename in comments.

2004-07-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/fibonacci/generalized.cc: Fix a small detail to avoid
	compilation warning.

2004-07-16  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* src/demos/fibonacci/generalized.cc: New file. Write a generalized
	fibonacci program.
	* src/demos/fibonacci/Makefile.am: Update.
	* src/demos/fibonacci/fibonacci.cc: Modify letters in an alphabet.

2004-07-16  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
	Change derivation behavior when performing union of two expression sets:
	if the same expression is present in the two sets, the union does not
	contain the expression twice any more. It contains the expression
	weighted by the sum of the two weights, as expected.
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx: Add
	functions to compare expressions without their first weight.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh:
	Add missing algebra:: before SemiringBase and SeriesBase. Fix syntax
	of some declarations. Add a missing typename.
	* include/vaucanson/algorithms/krat_exp_expand.hxx: Include
	krat_exp_pattern.hh.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Add an entry about expand. Add some stuff about contexts and
	transducers. Do some minor fixes elsewhere.

2004-07-15  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx: Rewrite
	DefaultTransposeFun. Use DefaultTransposeFun in op_in_transpose. While
	transposing, when the semiring of a polynom is a series, transpose the
	weight as well.

	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx:
	Modify ReverseVisitor. Add transpose methods.
	* include/vaucanson/automata/implementation/transpose_view.hxx
	(op_series_of):	Transpose labels.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contextual_transducer_functions.thxx: Clean. Do
	not use verbalize.
	* include/vaucanson/boolean_transducer.hh: Do not include
	krat_exp_verbalization.hh.
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/krat_exp_expand.hh: Set the right
	directory when including the corresponding hh/hxx file.
	* src/demos/fibonacci/fibonacci.cc: Clean includes. Use std::getline
	instead of std::cin's operator >>. Use a different printing mode to
	display the evaluation output. Use expand to ``nicify'' the expression.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	The expansion of a rational expression is an algorithm, and has nothing
	to do with an implementation of series.

	* include/vaucanson/algebra/implementation/series/krat_exp_expand.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_expand.hh:
	Move...
	* include/vaucanson/algorithms/krat_exp_expand.hxx,
	* include/vaucanson/algorithms/series/krat_exp_expand.hh: ... Here.
	* include/Makefile.am: Add krat_exp_expand.hh and krat_exp_expand.hxx.

2004-07-15  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* configure.ac: Re-enable Vaucanswig by default.
	* config/xml.m4: Use AC_HELP_STRING in a macro.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/xml/import_session-session.xml.ref: Adjust the test:
	the sessions now load automata in the order they were entered.
	See my last entry on 2004-07-13 about bug fixes in sessions.

2004-07-15  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* xml/gendtd.sh: Allow a monoid to be a product a therefore contain
	other monoids.

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* configure.ac,
	* config/xml.m4: Change --with-vaucanswig to --enable-vaucanswig, and
	make it disabled by default. Also make xml enabled by default.
	* README: Update accordingly.

2004-07-14  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx:
	  Remove unicity check, which is wrong.

2004-07-14  Loïc Fosse  <loic.fosse@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/series/krat_exp_expand.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_expand.hh:
	  New. This is an improved version of verbalization. It is able to
	  handle stared expressions by recursively performing the same
	  operations as verbalize into the stars.

2004-07-14  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Adjust the entry about context headers. Mention
	new_rat_exp(alphabet_t, std::string).

2004-07-14  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	It is now possible to build a rational expression using a std::string
	that represent it.

	* include/vaucanson/contextual_headers.hh: Include the rational
	expression parser.
	* include/vaucanson/contextual_automaton_functions.thh,
	* include/vaucanson/contextual_automaton_functions.thxx (new_rat_exp):
	Add a new_rat_exp() function that works with iterators instead of an
	alphabet. As the last argument, new_rat_exp() can optionally take a
	string representing the expression to build.
	* src/tests/context_headers/automata/global_consistency_test.hh: Add
	tests for new_rat_exp().

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/fsm/generate_toolbox.sh,
	* src/demos/ciaa/ex3.cc: Fix bad include for closure.

2004-07-14  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Update.

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx:
	Fix small_alpha_letter by using utility::char_traits with basic_string.

2004-07-14  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Fix an
	uninitialized variable warning.

2004-07-14  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/xml/algorithms.cc: New. Allow the user to call various
	classical algorithms on R automata stored in XML files.
	* src/demos/xml/Makefile.am: Update.

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Include Sylvain Lombardy's patch about quotient algorithm.

	* include/vaucanson/algorithms/minimization_hopcroft.hxx: Fix quotient
	algorithm.

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx: Add overloaded
	version of realtime_composition, that returns the composition of the
	two given automaton.

2004-07-14  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Include Sylvain Lombardy's modified closure. The algorithm is now
	really faster.

	* include/vaucanson/algorithms/forward_closure.hh,
	* include/vaucanson/algorithms/forward_closure.hxx,
	* include/vaucanson/algorithms/backward_closure.hh,
	* include/vaucanson/algorithms/backward_closure.hxx: Delete.

	* include/vaucanson/algorithms/closure.hh,
	* include/vaucanson/algorithms/closure.hxx: New files. Closure
	algorithms (backward and forward).

	* include/Makefile.am,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* src/tests/automata/algos/closure_test.hh: Update accordingly.

	* src/tests/context_headers/automata/global_consistency_test.hh: Change
	krat_exp_t to rat_exp_t.

2004-07-13  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	Three bugs were preventing the XML session demos from working. This
	is the fix.

	* include/vaucanson/xml/xml_set.hxx: Equality is done comparing the
	<automaton> tags, not the documents: a session may have many
	automata (and therefore many XmlStructure) in one unique document.
	* include/vaucanson/xml/session.hh, include/vaucanson/xml/session.hxx:
	Perform a kind of alpha conversion on an automaton's states before
	inserting it in a session. When retrieving an automaton from
	a session, take the first one (using pop_front), not the last one
	(using pop_back).
	* src/demos/xml/display_session.cc: Do not display the exception's
	message, since it not an error.

2004-07-13  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/xml/make_session.cc: New. Assemble XML automata to build
	an XML session.
	* src/demos/xml/display_session.cc: New. Display the automata which
	are part of a session.
	* src/demos/xml/Makefile.am: Update.

2004-07-13  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	Add a new service for the automata context headers: new_rat_exp().
	For a matter of coherence, the type krat_exp_t has been changed to
	rat_exp_t.

	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/z_automaton.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/z_max_plus_automaton.hh: Rename krat_exp_t as
	rat_exp_t.

	* src/demos/samples/algorithms/derivatives_automaton.cc,
	* src/demos/samples/algorithms/determinize_standard.cc,
	* src/demos/ciaa/ex2.cc,
	* src/demos/ciaa/ex3.cc: Update.

	* include/vaucanson/contextual_automaton_functions.thh,
	* include/vaucanson/contextual_automaton_functions.thxx: Add the
	new_rat_exp() function.

	* src/demos/fibonacci/fibonacci.cc: Update.


2004-07-13  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	This is the first of a series of demos for Vaucanson XML.

	* src/demos/xml/Makefile.am: New.
	* src/demos/xml/static_boolean.cc: New. Basic demo with boolean
	automata for the XML IO system.
	* src/demos/Makefile.am: Add xml to SUBDIRS.
	* configure.ac: Generate src/demos/xml/Makefile.

2004-07-13  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/krat_exp_realtime_conflict_test.hh: Minor
	fix. Make the test work even where realtime of expressions can't be
	computed.

2004-07-13  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/automata/algos/Makefile.am: Add missing file.

2004-07-12  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx: Modify
	op_add_weighted_edge to take a monoid element value.
	* include/vaucanson/automata/concept/automata_base.hxx: Update.

2004-07-12  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx: Modify
	add_weighted_edge to take a monoid element value.

2004-07-12  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	In order to have Vaucanson  XML work properly and be maintainable,
	I rewrote quite a lot of things. There is no more needs for hybrid
	static/xml automata:  only usual static automata  and XML automata
	are used. Huge parts of the code have been cleaned, and everything
	should be much  more safe now. The hacks  that were in element.hxx
	have also been removed.

	* include/vaucanson/xml/xml_ops.hh, include/vaucanson/xml/xml_ops.hxx:
	Rewrite. Move if_tag<T>...
	* include/vaucanson/xml/if_tag.hh, include/vaucanson/xml/if_tag.hxx:
	... Here. New.
	* include/Makefile.am: Update.
	* include/vaucanson/xml/xml_set.hh, include/vaucanson/xml/xml_set.hxx:
	Rewrite. Rename semiring_type() to semiring_structure() and
	semiring_structure() to semiring_value().
	* include/vaucanson/xml/xml_automaton.hh,
	* include/vaucanson/xml/xml_automaton.hxx: Rewrite.
	* include/vaucanson/xml/session.hh, include/vaucanson/xml/session.hxx:
	Adjust stream operators: >>, <<, op_rin and op_rout.
	* include/vaucanson/xml/xml_loader.hxx: Rewrite operator () for the
	xml_loader.

	To have  the previous  modifications work fine,  I had to  do some
	changes on the rest of Vaucanson XML:

	* include/vaucanson/xml/callback.hxx: Adjust accordingly.
	* include/vaucanson/xml/krat_to_polynom.hh,
	* include/vaucanson/xml/krat_to_polynom.hxx: Delete.
	* include/vaucanson/xml/strings.hh, include/vaucanson/xml/strings.hxx,
	* include/vaucanson/xml/dynamic.hh: Clean.
	* include/vaucanson/xml/static.hh: Include tools/io.hh.
	* include/vaucanson/xml/types.hh: Remove the XmlOf traits and its
	corresponding XML_OF macro. Add forward declarations and typedefs.
	* include/vaucanson/xml/errors.hh: Minor fix in the WITH_EXIT macro.
	* include/vaucanson/xml/infos.hh: Adjust includes.
	* include/vaucanson/xml/defaults.hh: Remove the ugly definition of
	the macro VCSN_XML_EMPTY_ELEMENTS.

	I also  had to  do some cleaning  and small  fixes in the  core of
	Vaucanson:

	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh: Use
	std::basic_string<Letter> instead of std::string.
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx:
	Remove an unused argument warning.
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx:
	Avoid building a semiring element without its structure.
	* include/vaucanson/tools/usual_macros.hh: Add a typedef to letter_t
	in AUTOMATA_SET_TYPES.
	* include/vaucanson/design_pattern/element_ops.hxx: Adjust.
	* include/vaucanson/design_pattern/element.hxx: Remove the hacks that
	were needed to have Vaucanson XML works properly ; they are no longer
	needed.
	* src/tests/design_pattern/intrinsics.hh: Adjust accordingly.
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/default_ops.hxx: Clean.

	And of course, the test suite has been updated:

	* src/tests/xml/export_session.cc,
	* src/tests/xml/export_dynamic.cc,
	* src/tests/xml/export_static.cc,
	* src/tests/xml/nodata.cc,
	* src/tests/xml/import_generic.cc,
	* src/tests/xml/import_session.cc,
	* src/tests/xml/import_dynamic.cc,
	* src/tests/xml/import_static.cc: Adjust.
	* src/tests/xml/export_dynamic-session.xml.ref,
	* src/tests/xml/export_dynamic-simple.xml.ref: Adjust: remove the
	extra trailing \n at end of file.

2004-07-09  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/algorithms/realtime_composition.hxx: Fix a wrong
	construction that raised an assertion in fibonacci.

2004-07-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/Makefile.am: Add missing files.

2004-07-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	The structure comparison failed when only alphabets were different,
	this patch solves this problem.

	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/structure.hxx: Remove the default
	structure equality operator.

	* include/vaucanson/algebra/concept/numerical_semiring.hxx,
	* include/vaucanson/algebra/concept/tropical_semiring.hxx: New files.
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh: Add
	comparison operator for semirings.

	* include/vaucanson/automata/concept/transducer.hxx,
	* include/vaucanson/automata/concept/transducer.hh: Slot the series_
	attribute, like for automata.

	* src/tests/context_headers/automata/global_consistency_test.hh,
	* src/tests/context_headers/transducers/global_consistency_test.hh:
	Enforce the tests.
	* src/tests/design_pattern/intrinsics.hh: Update the test.

2004-07-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Use $(top_srcdir) instead of
	@abs_top_srcdir@.

2004-07-08  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/tests/Makefile.am: Add k_automata to SUBDIRS.

2004-07-08  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/bin/generate-test-suite.sh: Add macro VCSN_SRC_DIR defined
	for all tests, representing the absolute path to the top-level
	directory of Vaucanson archive.
	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Update
	accordingly, and improve code portability.

2004-07-07  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Minor fix
	in the test. Now you can directly modify randomly generated test files,
	the test automatically deals with it.

2004-07-07  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>
	Since we used random expressions, random results may occur...
	This patch fix this problem for KRat exp, using a randomly
	generated test battery and use always the same for each future test.

	* include/vaucanson/misc/random.hxx: Fix typo in comments.

	* src/tests/algebra/series/krat/tests/generate_random_krat.cc: New
	file. Used to generate random KRat expressions.

	* src/tests/algebra/series/krat/tests/random_krat_exp_b_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_i_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_f_ab,
	* src/tests/algebra/series/krat/tests/random_krat_exp_i_weird,
	* src/tests/algebra/series/krat/tests/random_krat_exp_f_weird,
	* src/tests/algebra/series/krat/tests/random_krat_exp_b_weird: New
	files. Randomly generated KRat expressions.

	* src/tests/algebra/series/krat/tests/Makefile.am: New file.
	Corresponding Makefile for the new tests directory for KRat.
	* configure.ac,
	* src/tests/algebra/series/krat/Makefile.am: Update accordingly.

	* src/tests/algebra/series/krat/main/krat_exp_parse_test.hh: Update
	the KRat exp test with the new test system.

2004-07-07  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	Fix a huge bug in fibonacci:
	All transducers ended up with the same alphabet, whatever alphabet was
	used to create it.
	There was no == operator for transducers, so it used the == operator
	for Structure, which returns true all the time.

	* include/vaucanson/automata/concept/transducer.hh,
	* include/vaucanson/automata/concept/transducer.hxx: Add the ==
	operator for transducers.

2004-07-07  Sarah O'Connor  <sarah.o-connor@lrde.epita.fr>

	* include/vaucanson/automata/concept/automata_base.hh,
	* include/vaucanson/automata/concept/automata_base.hxx: Add a new
	method: add_weighted_edge. Give the possibility for the user to create
	an edge with a weight seen as a semiring_elt_t.

	* include/vaucanson/automata/concept/transducer_base.hh,
	* include/vaucanson/automata/concept/transducer_base.hxx: Add two new
	methods: set_o_initial, set_o_final. Give the user the possibility to
	put a weight on the initial and final edges, with a weight seen as an
	output_monoid_elt_value_t, that is for instance a std::string.
	Modify the add_io_edge method to take values.

	* include/vaucanson/automata/concept/automata_ops.hh,
	* include/vaucanson/automata/concept/automata_ops.hxx,
	* include/vaucanson/automata/concept/transducer_ops.hh,
	* include/vaucanson/automata/concept/transducer_ops.hxx: Write the
	corresponding op functions.

	* src/demos/fibonacci/fibonacci.cc: Update accordingly.

2004-07-06  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* include/vaucanson/misc/random.hxx: Add comment on real number
	generation.
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx:
	Fix op_choose_non_starable for real numbers.
	* src/tests/algebra/numerical_semiring/numerical_semiring_test.hh:
	Minor fix in the test.

2004-07-05  Louis-Noel Pouchet  <louis-noel.pouchet@lrde.epita.fr>

	* src/demos/vaucanswig/meta/vaucanswig_context.i,
	* src/demos/vaucanswig/meta/vaucanswig_automaton.i,
	* src/demos/vaucanswig/meta/vaucanswig_algo_common.i,
	* src/demos/vaucanswig/expand.sh,
	* src/demos/vaucanswig/meta/context.hh: Use contextual headers
	instead of usual.hh in Vaucanswig.
	* src/demos/vaucanswig/meta-build-process.txt: Update the
	documentation.

2004-07-02  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/misc/contract.hh: Add a missing macro to define
	static_assertion_ when -DNDEBUG is used.

2004-07-02  Loïc Fosse  <loic@lrde.epita.fr>

	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/derivatives_automaton.hxx: Change the
	PartialExp internal type in order to fix derivatives_automaton algorithm
	with right weights.

2004-07-01  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* NEWS: Update. Mention krat_exp_print().

2004-07-01  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* src/demos/fibonacci/fibonacci.cc: Remove useless includes. Use
	dot_display instead of dot_dump.

2004-07-01  Thomas Claveirole  <thomas.claveirole@lrde.epita.fr>

	* include/vaucanson/contextual_headers.hh,
	* include/vaucanson/r_automaton.hh,
	* include/vaucanson/standard_algorithms.hh,
	* include/vaucanson/misc/support.hxx, include/vaucanson/misc/static.hh,
	* include/vaucanson/misc/random.hxx, include/vaucanson/misc/bitset.hh,
	* include/vaucanson/misc/deferrer.hh, include/vaucanson/misc/limits.hh,
	* include/vaucanson/misc/bitset.hxx, include/vaucanson/misc/utility.hh,
	* include/vaucanson/misc/char_traits.hh,
	* include/vaucanson/misc/special_char_traits.hh,
	* include/vaucanson/misc/selectors.hh,
	* include/vaucanson/misc/deferrer.hxx,
	* include/vaucanson/misc/unique.hh,
	* include/vaucanson/misc/constraints.hh,
	* include/vaucanson/misc/window.hh,
	* include/vaucanson/misc/char_traits.hxx,
	* include/vaucanson/misc/support.hh,
	* include/vaucanson/misc/contract.hh,
	* include/vaucanson/misc/unique.hxx, include/vaucanson/misc/window.hxx,
	* include/vaucanson/misc/random.hh, include/vaucanson/vaucanson.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hxx,
	* include/vaucanson/algebra/implementation/letter/range.hxx,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hh,
	* include/vaucanson/algebra/implementation/letter/int_letter.hh,
	* include/vaucanson/algebra/implementation/letter/char_letter.hh,
	* include/vaucanson/algebra/implementation/letter/range.hh,
	* include/vaucanson/algebra/implementation/letter/couple_letter.hxx,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hxx,
	* include/vaucanson/algebra/implementation/alphabets/alphabets.hh,
	* include/vaucanson/algebra/implementation/alphabets/predefs.hh,
	* include/vaucanson/algebra/implementation/alphabets/decorated_alphabet.hh,
	* include/vaucanson/algebra/implementation/alphabets/set_alphabet.hh,
	* include/vaucanson/algebra/implementation/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/predefs.hh,
	* include/vaucanson/algebra/implementation/free_monoid/str_words.hxx,
	* include/vaucanson/algebra/implementation/free_monoid/words.hh,
	* include/vaucanson/algebra/implementation/free_monoid/tools.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_support.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_transpose.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hxx,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/exp.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hh,
	* include/vaucanson/algebra/implementation/series/rat/reverse_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/depth_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/dump_visitor.hxx,
	* include/vaucanson/algebra/implementation/series/rat/exp.hh,
	* include/vaucanson/algebra/implementation/series/rat/dispatch_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/random_visitor.hh,
	* include/vaucanson/algebra/implementation/series/rat/nodes.hxx,
	* include/vaucanson/algebra/implementation/series/polynoms.hxx,
	* include/vaucanson/algebra/implementation/series/generalized.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hh,
	* include/vaucanson/algebra/implementation/series/series.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_parser.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hh,
	* include/vaucanson/algebra/implementation/series/generalized.hxx,
	* include/vaucanson/algebra/implementation/series/series.hxx,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hh,
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hh,
	* include/vaucanson/algebra/implementation/series/krat_coefficient.hxx,
	* include/vaucanson/algebra/implementation/series/krat.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_pattern.hh,
	* include/vaucanson/algebra/implementation/series/krat_conversion.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_is_finite_app.hxx,
	* include/vaucanson/algebra/implementation/series/krat_exp_verbalization.hxx,
	* include/vaucanson/algebra/implementation/series/transpose.hh,
	* include/vaucanson/algebra/implementation/series/polynoms.hh,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hh,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hxx,
	* include/vaucanson/algebra/implementation/semiring/rational_number.hxx,
	* include/vaucanson/algebra/implementation/semiring/tropical_semiring.hh,
	* include/vaucanson/algebra/implementation/semiring/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/freemonoid_base.hh,
	* include/vaucanson/algebra/concept/series_base.hh,
	* include/vaucanson/algebra/concept/monoid_base.hxx,
	* include/vaucanson/algebra/concept/freemonoid_base.hxx,
	* include/vaucanson/algebra/concept/series_base.hxx,
	* include/vaucanson/algebra/concept/alphabets_base.hh,
	* include/vaucanson/algebra/concept/letter.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hh,
	* include/vaucanson/algebra/concept/alphabets_base.hxx,
	* include/vaucanson/algebra/concept/semiring_base.hh,
	* include/vaucanson/algebra/concept/tropical_semiring.hh,
	* include/vaucanson/algebra/concept/numerical_semiring.hh,
	* include/vaucanson/algebra/concept/semigroup_base.hxx,
	* include/vaucanson/algebra/concept/monoid_base.hh,
	* include/vaucanson/algebra/concept/semiring_base.hxx,
	* include/vaucanson/algebra/algebra.hh,
	* include/vaucanson/z_automaton.hh, include/vaucanson/xml/xml_ops.hh,
	* include/vaucanson/xml/session.hh, include/vaucanson/xml/xml_set.hxx,
	* include/vaucanson/xml/dynamic.hh,
	* include/vaucanson/xml/xml_loader.hh,
	* include/vaucanson/xml/error_handler.hh,
	* include/vaucanson/xml/xml_automaton.hh,
	* include/vaucanson/xml/static.hh,
	* include/vaucanson/xml/krat_to_polynom.hxx,
	* include/vaucanson/xml/strings.hh, include/vaucanson/xml/xml_ops.hxx,
	* include/vaucanson/xml/ios.hh, include/vaucanson/xml/session.hxx,
	* include/vaucanson/xml/callback.hh,
	* include/vaucanson/xml/xml_value.hh,
	* include/vaucanson/xml/error_handler.hxx,
	* include/vaucanson/xml/xml_loader.hxx,
	* include/vaucanson/xml/xml_automaton.hxx,
	* include/vaucanson/xml/strings.hxx, include/vaucanson/xml/ios.hxx,
	* include/vaucanson/xml/callback.hxx, include/vaucanson/xml/types.hh,
	* include/vaucanson/xml/xml_value.hxx,
	* include/vaucanson/xml/defaults.hh, include/vaucanson/xml/xml_set.hh,
	* include/vaucanson/xml/generic.hh, include/vaucanson/xml/errors.hh,
	* include/vaucanson/xml/infos.hh,
	* include/vaucanson/xml/krat_to_polynom.hh,
	* include/vaucanson/tools/gen_random.hxx,
	* include/vaucanson/tools/fsm_dump.hxx,
	* include/vaucanson/tools/dot_display.hxx,
	* include/vaucanson/tools/gen_book.hh,
	* include/vaucanson/tools/dot_dump.hxx,
	* include/vaucanson/tools/usual_escaped_characters.hxx,
	* include/vaucanson/tools/automaton_tools.hh,
	* include/vaucanson/tools/usual_io.hxx,
	* include/vaucanson/tools/gen_book.hxx,
	* include/vaucanson/tools/usual_macros.hh,
	* include/vaucanson/tools/dot_format.hh,
	* include/vaucanson/tools/simple_format.hh,
	* include/vaucanson/tools/container_ops.hh,
	* include/vaucanson/tools/dot_format.hxx,
	* include/vaucanson/tools/io.hh,
	* include/vaucanson/tools/gen_random.hh,
	* include/vaucanson/tools/simple_format.hxx,
	* include/vaucanson/tools/fsm_dump.hh,
	* include/vaucanson/tools/dot_dump.hh,
	* include/vaucanson/tools/container_ops.hxx,
	* include/vaucanson/tools/dot_display.hh,
	* include/vaucanson/tools/usual_escaped_characters.hh,
	* include/vaucanson/tools/io.hxx, include/vaucanson/tools/usual_io.hh,
	* include/vaucanson/z_min_plus_automaton.hh,
	* include/vaucanson/boolean_automaton.hh,
	* include/vaucanson/config/system.hh, include/vaucanson/config/math.hh,
	* include/vaucanson/design_pattern/element_ops.hxx,
	* include/vaucanson/design_pattern/element.hh,
	* include/vaucanson/design_pattern/structure.hh,
	* include/vaucanson/design_pattern/predecls.hh,
	* include/vaucanson/design_pattern/element.hxx,
	* include/vaucanson/design_pattern/meta_element_root.hh,
	* include/vaucanson/design_pattern/syntactic_decorator.hh,
	* include/vaucanson/design_pattern/slots.hh,
	* include/vaucanson/design_pattern/default_ops.hh,
	* include/vaucanson/design_pattern/design_pattern.hh,
	* include/vaucanson/design_pattern/structure.hxx,
	* include/vaucanson/design_pattern/element_ops.hh,
	* include/vaucanson/design_pattern/meta_element_root.hxx,
	* include/vaucanson/design_pattern/syntactic_decorator.hxx,
	* include/vaucanson/design_pattern/slots.hxx,
	* include/vaucanson/design_pattern/element_op_traits.hh,
	* include/vaucanson/design_pattern/default_ops.hxx,
	* include/vaucanson/z_max_plus_automaton.hh,
	* include/vaucanson/boolean_transducer.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hxx,
	* include/vaucanson/algorithms/extension.hxx,
	* include/vaucanson/algorithms/transpose.hxx,
	* include/vaucanson/algorithms/finite_support_conversion.hxx,
	* include/vaucanson/algorithms/krat_exp_linearize.hxx,
	* include/vaucanson/algorithms/sub_automaton.hxx,
	* include/vaucanson/algorithms/realtime_decl.hh,
	* include/vaucanson/algorithms/standard_of.hxx,
	* include/vaucanson/algorithms/accessible.hh,
	* include/vaucanson/algorithms/forward_realtime.hxx,
	* include/vaucanson/algorithms/realtime_decl.hxx,
	* include/vaucanson/algorithms/sum.hh,
	* include/vaucanson/algorithms/krat_exp_cderivation.hh,
	* include/vaucanson/algorithms/accessible.hxx,
	* include/vaucanson/algorithms/is_letterized.hh,
	* include/vaucanson/algorithms/backward_realtime.hxx,
	* include/vaucanson/algorithms/forward_closure.hxx,
	* include/vaucanson/algorithms/realtime.hxx,
	* include/vaucanson/algorithms/letter_to_letter_composition.hxx,
	* include/vaucanson/algorithms/complement.hxx,
	* include/vaucanson/algorithms/extension.hh,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hh,
	* include/vaucanson/algorithms/internal/build_pattern.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hxx,
	* include/vaucanson/algorithms/internal/partial_rat_exp_derivation.hxx,
	* include/vaucanson/algorithms/internal/build_pattern.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp_constant_term.hh,
	* include/vaucanson/algorithms/internal/partial_rat_exp.hh,
	* include/vaucanson/algorithms/sub_automaton.hh,
	* include/vaucanson/algorithms/trim.hxx,
	* include/vaucanson/algorithms/brzozowski.hh,
	* include/vaucanson/algorithms/standard_of.hh,
	* include/vaucanson/algorithms/derivatives_automaton.hxx,
	* include/vaucanson/algorithms/krat_exp_partial_derivation.hxx,
	* include/vaucanson/algorithms/realtime_composition.hh,
	* include/vaucanson/algorithms/eval.hh,
	* include/vaucanson/algorithms/product.hxx,
	* include/vaucanson/algorithms/krat_exp_flatten.hh,
	* include/vaucanson/algorithms/realtime_composition.hxx,
	* include/vaucanson/algorithms/is_normalized.hh,
	* include/vaucanson/algorithms/backward_realtime.hh,
	* include/vaucanson/algorithms/forward_closure.hh,
	* include/vaucanson/algorithms/krat_exp_derivation.hh,
	* include/vaucanson/algorithms/krat_exp_realtime.hxx,
	* include/vaucanson/algorithms/krat_exp_derivation.hxx,
	* include/vaucanson/algorithms/backward_closure.hh,
	* include/vaucanson/algorithms/minimization_hopcroft.hh,
	* include/vaucanson/algorithms/aci_canonical.hxx,
	* include/vaucanson/algorithms/derivatives_automaton.hh,
	* include/vaucanson/algorithms/is_letterized.hxx,
	* include/vaucanson/algorithms/evaluation.hxx,
